#!/usr/bin/perl -w
#
###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################

# this little script does batch deletion of all users on a site, except for those
# listed via their emails (uids) in the 'keep_file'.
# It was written for a MBT change order in 04/2003.

use strict;

use Data::Dumper;
use Getopt::Long;

use Metadot qw($USER %FORM $SESSION $HTTP_HEADER_SENT);
use DBAccess;
use Utility;
use Metadot::UserFactory;

my $keep_file;          #  this must contain the email addresses of the users
                #  who are to be retained, one per line.


my @never_delete = ('visitor', 'admin', 'default_look', 'root');

my $delete_content = 0;
my $result = GetOptions ("keep_file=s" => \$keep_file,
              "delete_content"  => \$delete_content);  # flag

print STDERR "deleting user content: $delete_content\n";

unless (-e $keep_file) {
    die "file $keep_file does not exist";
}


# generate 'keep list' from keep_file plus set of users that are never deleted.
my @keep_list = ();
open(INFILE, "$keep_file");
while (<INFILE>) {
    chop $_;
    push @keep_list, $_
}

push @keep_list, @never_delete;
print STDERR "keep list is: ", Dumper(\@keep_list), "\n";

# get ids of of all users
# old db schema
#my $sth = DBAccess->sqlSelectMany("uid, email", "user");
# new db schema
my $sth = DBAccess->sqlSelectMany("userid, email", "users");
while (my ($userid, $email)=$sth->fetchrow()) {
    my $u = Metadot::UserFactory->get_user($userid);
    my $user_email = $u->email();
    if (Utility->member($user_email, @keep_list)) {
    print STDERR "not deleting $user_email\n";
    }
    else {
    print STDERR "deleting $user_email\n";
#   my $res=$u->delete($delete_content); #backend function :)
    }
}


close(INFILE);
