#!/usr/bin/perl -w

use strict;

use Metadot qw($PARAMS $CACHE);
use MetadotConfig;
use Metadot::User::User3000::PropertyManager;


my $server_name = shift @ARGV;
if (defined $server_name)
{
  MetadotConfig->set_server_name($server_name);
  print "Server was set to $server_name, basename = $PARAMS->{basename}\n\n";
}

my $mdot = Portal->new(1);

&migrate_user_properties();

1;


sub migrate_user_properties
{
    my $property_manager = 'Metadot::User::User3000::PropertyManager';
    my $param_key = $property_manager->PARAMS_KEY();
    my $packed = $PARAMS->{$param_key};

    print "Checked PARAMS for $param_key, got\n$packed\n\n";

    if (defined $packed) {
        if ($property_manager->packed_data_is_current($packed) ) {
            print "These properties do not require migration.\n";
        } else {
            # old way, we have to migrate
            print "Migrating older User3000 properties...\n";
            my $properties = $property_manager->_unpack_data_OLD($packed);

            print "Storing the new properties...\n";
            $property_manager->set_custom_properties($properties);
            print "Finished storing the new properties.\n\n";

            $packed = $PARAMS->{$param_key};
            print "New packed properties:\n\n$packed\n\n\n";

            $CACHE->set_value($property_manager->CACHE_NAME(), $properties);
        }
    }
}

