/*
** Default color of website:
*/
var siteColor = 'blue' ;
var cookieName = 'main_color' ;

/*
** Cookie functions
**
** Functions include:
** - days2msecs(days)
** - days2expiry(days)
** - setCookie(name, value, [,expiry])
** - getCookie(name)
**
** Vadim Jelezniakov 04/03/2002
** Copyright Metadot Corp.
*/

var the_cookie = document.cookie ;
var today = new Date() ;

function days2msecs (days) {
    if (days != null && days >= 0) {
        return 24 * 60 * 60 * 1000 * days ;
    } else {
        return 0 ;
    }
}

function days2expiry (days) {
    return new Date(today.getTime()+days2msecs(days)) ;
}

// usage: setCookie('name_of_the_cookie', 'value_of_the_cookie' [, expiry_in_days]) ;
function setCookie(name, value) {
    var days = (arguments[2] != null) ? arguments[2] : 28 ;
    var expiry = days2expiry(days) ;
    if (value != null && value != "") {
        document.cookie = name + "=" + escape(value) + "; expires=" +
        expiry.toGMTString() ;
    }
    the_cookie = document.cookie ;
}

// usage: var cookie_value = getCookie('name_of_the_cookie') ;
function getCookie(name) {
    var index = the_cookie.indexOf(name + "=") ;
    if (index == -1) { return null ; }
    index = the_cookie.indexOf("=", index) + 1 ;
    var endstr = the_cookie.indexOf(";", index) ;
    if (endstr == -1) { endstr = the_cookie.length ; }
    return unescape(the_cookie.substring(index, endstr)) ;
}

/*
** getting the current color and function to set the color of the site
*/

siteColor = (getCookie(cookieName) == null) ? siteColor : getCookie(cookieName) ;

function setColor() {
	siteColor = (siteColor == 'blue') ? 'green' : 'blue' ;
	setCookie(cookieName, siteColor) ;
	window.history.go(0) ;
}

/*
** List of functions used to manage the left side dynamic menu entries of every pages.
**
** Functions include:
** - newImage
** - preloadImages
** - display 
**
** Serge Dacic 3/25/2002
** Copyright Metadot Corp.
*/

function newImage(arg) {
	if (document.images) {
		rslt = new Image();
		rslt.src = arg;
		return rslt;
	}
}

function changeImages(imgName, imgSrc) {
	if (document.images && (preloadFlag == true)) {
		document.images[imgName].src=imgSrc
	}
}

var preloadFlag = false;
function preloadImages() {
	if (document.images) {
		Iindex_01_01o = newImage("images/"+siteColor+"/how_b.jpg");
		Iindex_02_01o = newImage("images/"+siteColor+"/faq_b.jpg");
		Iindex_03_01o = newImage("images/"+siteColor+"/index_b.jpg");
		Iindex_04_01o = newImage("images/"+siteColor+"/about_b.jpg");
		Iindex_05_01o = newImage("images/"+siteColor+"/product_b.jpg");
		Iindex_06_01o = newImage("images/"+siteColor+"/security_b.jpg");
		Iindex_07_01o = newImage("images/"+siteColor+"/support_b.jpg");
		Iindex_08_01o = newImage("images/"+siteColor+"/corporate_b.jpg");
		//Iindex_08_01o = newImage("images/"+siteColor+"/order_b.jpg");
		Iindex_09_01o = newImage("images/"+siteColor+"/contact_b.jpg");
		Iindex_10_01o = newImage("images/"+siteColor+"/client_b.jpg");
		Iindex_11_01o = newImage("images/"+siteColor+"/freetrial_b.jpg");
		preloadFlag = true;
	}
}

function display(page)
{
	if (page == menu_page)
	{
		b_href = ""
		e_href = ""
		img = "<img name=\""+page+".htm\" src=\"images/"+siteColor+"/"+page+"_c.jpg\" border=0>"
	}
	else
	{
		b_href = "<a href=\""+page+".htm\" onmouseover=\"changeImages('"+page+".htm', 'images/"+siteColor+"/"+page+"_b.jpg'); return true;\" onmouseout=\"changeImages('"+page+".htm', 'images/"+siteColor+"/"+page+"_a.jpg'); return true;\">"
		e_href = "</a>"
		img = "<img name=\""+page+".htm\" src=\"images/"+siteColor+"/"+page+"_a.jpg\" border=0>"
	}
	document.write(b_href+img+e_href+"<br />")
}

function display_menu()
{
	display("index")
	document.write('<img name="spacer" src="images/'+siteColor+'/spacer.gif" width="187" height="12" border="0"><br />')
	display("product")
	display("security")
	display("support")
	display("how")
	display("freetrial")
	document.write('<img name="spacer" src="images/'+siteColor+'/spacer.gif" width="187" height="12" border="0"><br />')
	display("corporate")
	display("client")
	//display("order")
	document.write('<img name="spacer" src="images/'+siteColor+'/spacer.gif" width="187" height="12" border="0"><br />')
	display("faq")
	display("contact")
	display("about")
	document.write('<img name="spacer" src="images/'+siteColor+'/spacer.gif" width="187" height="2" border="0"><br />')
}


/*
** Functions to decorate pages. 
**
** Serge Dacic 3/25/2002
** Copyright Metadot Corp.
*/

/*
** Top of the page: banner and left side menus
*/
function layout_top()
{
	document.write('<table border="0" width="750" cellspacing="0" cellpadding="0">')
	document.write('<tr>')
	document.write('<td width="187" valign="top"><img name="Nindex_01_01" src="images/'+siteColor+'/index_01_01.jpg" width="187" height="100" border="0"><br />')
	document.write('<a href="index.htm"><img name="Nindex_03_01" src="images/'+siteColor+'/index_03_01.jpg" width="187" height="22" border="0"></a><br />')
	document.write('<table width="100%" border="0" cellspacing="0" cellpadding="0" background="images/'+siteColor+'/new_back.jpg">')
	document.write('<tr>')
	document.write('<td>')
	document.write('<table width="100%" border="0" cellspacing="0" cellpadding="0" background="images/'+siteColor+'/spacer.gif">')
	document.write('<tr>')
	document.write('<td>')
	display_menu()
	document.write('</td>')
	document.write('</tr>')
	document.write('</table>')
	document.write('</td>')
	document.write('</tr>')
	document.write('</table>')
	document.write('<img name="Nindex_09_01" src="images/'+siteColor+'/index_09_01.jpg" width="187" height="12" border="0"><br />')
	document.write('<img name="Nindex_10_01" src="images/'+siteColor+'/index_10_01.gif" width="187" height="121" usemap="#Map" border="0"><br />')
	document.write('<map name="Map">')
	document.write('<area shape="rect" coords="155,106,161,112" href="javascript:setColor()">')
	document.write('</map>')
	document.write('<img name="Nindex_11_01" src="images/'+siteColor+'/index_11_01.jpg" width="187" height="26" border="0">')
	document.write('</td>')
	document.write('<td width="587" valign="top">')
	document.write('<table border="0" width="413" cellspacing="0" cellpadding="0">')
	document.write('<tr>')
	document.write('<td width="20" rowspan="2" valign="top"><img name="Nindex_01_02" src="images/'+siteColor+'/index_01_02.jpg" width="20" height="100" border="0"></td>')
	document.write('<td width="363" valign="top"><img src="images/'+siteColor+'/index_01_03.jpg" width="513" height="55"></td>')
	document.write('<td width="30" rowspan="2" valign="top"><img name="Nindex_01_04" src="images/'+siteColor+'/index_01_04.jpg" width="30" height="100" border="0"></td>')
	document.write('</tr>')
	document.write('<tr>')
	document.write('<td width="363" valign="top"><img src="images/'+siteColor+'/index_02_03.jpg" width="513" height="45"></td>')
	document.write('</tr>')
	document.write('</table>')
	document.write('<div align="center"><br />')
	document.write('<table border="0" width="94%" cellspacing="0" cellpadding="0">')
	document.write('<tr>')
	document.write('<td>')
	document.write('<TABLE width=100% cellpadding=5 cellspacing=0 border=0>')
	document.write('<TR><TD valign=top>')
}

/*
** Bottom of the page: end of table and footer
*/
function layout_bottom()
{
	document.write('</td>')
	document.write('</tr>')
	document.write('</table>')
	document.write('</div>')
	document.write('</td>')
	document.write('</tr>')
	document.write('</table>')
	document.write('</TD></TR>')
	document.write('</TABLE>')
	document.write('<table width="750" border="0" cellspacing="0" cellpadding="0">')
	document.write('<tr><td>')
	document.write('<p><font size="1" color="#7682A0" face="arial">')
	document.write('&copy; 2002 shareM&#153;. All Rights Reserved.')
	document.write('</font></p>')
	document.write('</td>')
	document.write('</tr>')
	document.write('</table>')
}

/*
** functions to validate entries in forms
*/
function isValidEmail(str)
{
        var apos = str.indexOf("@");
        var dpos = str.indexOf(".");
        var epos = str.indexOf("]");
        var fpos = str.indexOf("[");     
        if (apos<=0 || dpos<=0 || epos>0 || fpos>0 )
             return false;
        if (dpos+1>=str.length)
             return false;
        return true;
}

function ValidateForm(aform)
{
        if (!(aform.firstname.value)){
                alert("Please enter your First Name.");
                return false;
        }
        if (!(aform.lastname.value)){
                alert("Please enter your Last Name.");
                return false;
        }
        if (!(aform.company.value)){
                alert("Please enter your Company/Group Name.");
                return false;
        }
        if (!(aform.phone.value.length)){
                alert("Please enter a Phone Number.");
                return false;
        }
		if (!isValidEmail(aform.email.value)){
                alert("Please enter a VALID E-mail Address");
                return false;
        }
		if ((aform.companysize.options.selectedIndex)=="0"){
                alert("Please provide the size of your group.");
                return false;
        }
		if ((aform.industry.options.selectedIndex)=="0"){
                alert("Please provide the industry of your group.");
                return false;
        }
	return true;
}

function ValidateHelp(aform)
{

        if (!(aform.firstname.value)){
                alert("Please enter your First Name.");
                return false;
        }
        if (!(aform.lastname.value)){
                alert("Please enter your Last Name.");
                return false;
        }
        if (!(aform.phone.value)){
                alert("Please enter your Phone number.");
                return false;
        }
		  if (!isValidEmail(aform.email.value)){
                alert("Please enter a VALID E-mail Address");
                return false;
        }

		  if (!(aform.intranet.value)){
                alert("Please enter your Intranet Name\nor the one you are trying to create.");
                return false;
        }
        if ((aform.browser.options.selectedIndex)=="0"){
                alert("Please select the Browser you are using.");
                return false;
        }
		if ((aform.os.options.selectedIndex)=="0"){
                alert("Please select the Operating System you are using.");
                return false;
        }
  	    if (!(aform.question.value)){
                alert("Please enter your description of your problem.");
                return false;
        }
	return true;
}

function ValidateFree(aform)
{

		if (!(aform.sitename.value)){
                alert("Please enter the Site Name you would like to use for your site.");
                return false;
        }
		if ((aform.users.options.selectedIndex)=="0"){
                alert("Please select number of users you would like to accept on in your site.");
                return false;
        }
        if (!(aform.firstname.value)){
                alert("Please enter your First Name.");
                return false;
        }
        if (!(aform.lastname.value)){
                alert("Please enter your Last Name.");
                return false;
        }
        if (!(aform.phone.value)){
                alert("Please enter your Phone number.");
                return false;
        }
		if (!isValidEmail(aform.email.value)){
                alert("Please enter a VALID E-mail Address");
                return false;
        }
        if (!(aform.password.value)){
                alert("Please enter a Password.");
                return false;
        }
		if (!(aform.password2.value)){
                alert("Please confirm your Password.");
                return false;
        }
		if (aform.password.value != aform.password2.value){
                alert("Password and Re-typed Password are not identical. Please try again.");
                return false;
        }
		if (aform.emailu1.value && !isValidEmail(aform.emailu1.value)){
                alert("Please enter a VALID E-mail Address for Member 1");
                return false;
        }
		if (aform.emailu2.value && !isValidEmail(aform.emailu2.value)){
                alert("Please enter a VALID E-mail Address for Member 2");
                return false;
        }
		if (aform.emailu3.value && !isValidEmail(aform.emailu3.value)){
                alert("Please enter a VALID E-mail Address for Member 3");
                return false;
        }
		if (aform.emailu4.value && !isValidEmail(aform.emailu4.value)){
                alert("Please enter a VALID E-mail Address for Member 4");
                return false;
        }

	return true;
}
function OpenWindow(page, name)
{
	window.open(page, name, "resizable=yes,scrollbars=yes")
}

function whatColor()
{
}
