###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package App::Basic::Basic;

use strict;
use App;
use Metadot qw($DISPLAY);
use Data::Dumper;
use vars qw(@ISA $AC);
@ISA=qw(App);

sub new {
    my $proto = shift;
    my $id = shift;

    my $class = ref($proto) || $proto;
    my $self;

    if (defined($id)){
        $self = $class->SUPER::new($id);
    } else {
        $self = $class->SUPER::new();
    }
    $self->{app} = "Basic";

    bless ($self, $class);
    return $self;
}

sub gizmo_display {
    my $self = shift;
    my $op = shift;
    my $gizmo = shift;

    my $output = undef;

    $output = "This is the Basic application, affecting the look and feel of "
            . "an item in the application.<p /><p />\n\n";

    $output .= $gizmo->show();

    $output .= "<p /><p />This is the bottom of the display area.<br />\n\n";

    return $output;
}

sub show {
    my $self = shift;

    my $output = undef;

    $output = "This is a category's output with the application affecting its "
            . "look and feel.<p /><p />\n\n";

    my $show_children = $self->show_children();

    $output .= "<center>".$self->name()."</center>"
            . "<p />".$self->description()."<p /> \n\n"
            . $show_children;

    return $output;
}

sub show_children {
    my $self = shift;
    my $output = undef;

    my ($children) = DBAccess->sqlSelectMany("iid, name, isa",
                                            "instance",
                                            "parentiid = ".$self->id()." order by isa, name");

    my $last_isa = undef;
    while (my ($child_id, $child_name, $child_isa) = $children->fetchrow()){
        if (($child_isa ne $last_isa) && ($child_isa)){
            $output .= "<p /><center><b>$child_isa</b></center><p />\n";
            $last_isa = $child_isa;
        }

        $output .= $DISPLAY->generate_link(
                    href    => "index.pl?isa=$child_isa&op=show&id=$child_id",
                    content => $child_name,
                )
                ."<br />\n";

    }

    return $output;
}


1;

