###########################################################################
# <LICENSEINFO>
# Metadot SmartSite Server                                                                      
# Copyright (C) 2001 Metadot Corporation                                                        
#                                                                                               
# For more information go to                                                                    
# http://www.metadot.com                                                                        
# or contact us at info@metadot.com                                                             
#                                                                                               
#</LICENSEINFO>
############################################################################


# this package will _eventually_ represent the entire metadot database
# schema, and formulate database queries based on introspection.
# For now, it has very limited functionality


package DBAccess::DBSchema;
use strict;

use MetadotObject;
use DBAccess::DBSchema::Type;
use DBAccess::DBSchema::Column;
use DBAccess::DBSchema::Table;


use vars qw(@ISA);
@ISA = qw(MetadotObject);

use constant MO_INSTANCE_PROPERTIES => {
      name          => undef,
      tables        => undef,
};


sub initialize {
    my $self = shift;
    my $args = shift || {};

    $self->SUPER::initialize($args);
    $self->tables({}) unless defined($self->tables());
}


# a shortcut to access a column. specify (table name, column name)
sub get_column {
    my $self = shift;
    my $table = shift || die ('Must specify a table');
    my $column = shift || die ('Must specify a column');

    my $result;
    my $table_obj = $self->get_table($table);   
    if ($table_obj) {
        $result= $table_obj->get_column($column);
    }
    return $result;
}


# returns a list of the table names
sub get_table_names {
    my $self = shift;
    my $table_ref = $self->get_tables();
    
    my $result = keys(%$table_ref);
    return $result;
}

# returns a table by name
sub get_table {
    my $self = shift;
    my $table_name  = uc(shift) || die ('Must specify table name');
    my $result      = $self->get_tables()->{$table_name};

    #print STDERR "get_table($table_name) returns $result\n";
    return $result;
}

# adds or replaces a table definition
sub set_table {
    my $self = shift;
    my $table_obj       = shift || die('Must specify a table object');
    my $name            = uc($table_obj->get_name());
    my $table_ref       = $self->get_tables();
    
    #print STDERR "Set table '$name' as $table_obj\n";
    $table_ref->{$name} = $table_obj;
}




1;




