###########################################################################
# <LICENSEINFO>
# Metadot SmartSite Server                                                                      
# Copyright (C) 2001 Metadot Corporation                                                        
#                                                                                               
# For more information go to                                                                    
# http://www.metadot.com                                                                        
# or contact us at info@metadot.com                                                             
#                                                                                               
#</LICENSEINFO>
############################################################################


package DBAccess::DBSchema::Column;
use strict;

use MetadotObject;

use vars qw(@ISA);
@ISA = qw(MetadotObject);

use constant MO_INSTANCE_PROPERTIES => {
      name              => undef,
      column_name       => undef,
      size              => undef,
      column_size       => undef,
      label             => undef,
      nullable          => undef,
      ordinal_position  => undef,
      type_name         => undef,
      sql_data_type     => undef,
      sql_datetime_sub  => undef,
      decimal_digits    => undef,
      num_prec_radix    => undef,
      buffer_length     => undef,
      table_name        => undef,
      column_info       => undef,
};


sub is_nullable {
    my $self = shift;
    return $self->get_nullable();
}

# name is a synonym for column_name
sub get_name {
    my $self = shift;
    return $self->get_column_name(@_);
}

sub set_name {
    my $self = shift;
    return $self->set_column_name(@_);
}

#size is a synonym for column_size
sub get_size {
    my $self = shift;
    $self->get_column_size(@_);
}

sub set_size {
    my $self = shift;
    return $self->set_column_size(@_);
}



1;

