###########################################################################
# <LICENSEINFO>
# Metadot SmartSite Server                                                                      
# Copyright (C) 2001 Metadot Corporation                                                        
#                                                                                               
# For more information go to                                                                    
# http://www.metadot.com                                                                        
# or contact us at info@metadot.com                                                             
#                                                                                               
#</LICENSEINFO>
############################################################################


package DBAccess::DBSchema::Table;
use strict;

use MetadotObject;

use vars qw(@ISA);
@ISA = qw(MetadotObject);

use constant MO_INSTANCE_PROPERTIES => {
      table_name    => undef,
      columns       => undef,
      table_info    => undef,
};



sub initialize {
    my $self = shift;
    my $args = shift || {};

    $self->SUPER::initialize($args);
    
    $self->columns({}) unless defined($self->columns());
}


# returns a list of the column names
sub get_column_names {
    my $self = shift;
    my $column_ref = $self->get_columns();
    
    my $result = keys(%$column_ref);
    return $result;
}

# returns a column by name
sub get_column {
    my $self = shift;
    my $column_name  = uc(shift) || die ('Must specify column name');
    my $result      = $self->get_columns()->{$column_name};
    
    #print STDERR "$self\->set_column($column_name) returns $result\n";    
    return $result;
}

# adds or replaces a column definition
sub set_column {
    my $self = shift;
    my $column_obj       = shift || die('Must specify a column object');

    my $name            = uc($column_obj->get_name());
    
    #print STDERR "$self\->set_column($column_obj) $name\n";

    my $column_ref       = $self->get_columns();
    $column_ref->{$name} = $column_obj;
}


# generic accessors / mutators

# name is a synonym for table_name
sub get_name {
    my $self = shift;
    return $self->get_table_name(@_);
}

sub set_name {
    my $self = shift;
    return $self->set_table_name(@_);
}



1;
