###########################################################################
# <LICENSEINFO>
# Metadot SmartSite Server                                                                      
# Copyright (C) 2001 Metadot Corporation                                                        
#                                                                                               
# For more information go to                                                                    
# http://www.metadot.com                                                                        
# or contact us at info@metadot.com                                                             
#                                                                                               
#</LICENSEINFO>
############################################################################


package DBAccess::DBSchema::Type;
use strict;

use MetadotObject;

use vars qw(@ISA);
@ISA = qw(MetadotObject);

use constant MO_INSTANCE_PROPERTIES => {
    name => undef,
};


# determines if this type is text
sub is_text {
    my $class = shift;
    my $name = shift;
    my $result;

    if (!defined($name) && ref($class)) {
        $name = $class->get_name();
    }

    $name = uc($name);
    $result ||= ($name =~ /(CHAR|TEXT)/);

    return $result;
}


# determines if this type is a number
sub is_numeric {
    my $class = shift;
    my $name = shift;
    my $result;

    if (!defined($name) && ref($class)) {
        $name = $class->get_name();
    }

    $name = uc($name);
    $result ||= ($name =~ /(INT|NUMBER|FLOAT|LONG|REAL)/);

    return $result;
}


# determines if this type is a date/time
sub is_datetime {
    my $class = shift;
    my $name = shift;
    my $result;

    if (!defined($name) && ref($class)) {
        $name = $class->get_name();
    }

    $name = uc($name);
    $result ||= ($name =~ /(TIME|DATE)/);

    return $result;
}




1;
