###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Form::Choice;

use strict;


sub new {
    my $proto = shift;
    my $name = shift;
    my $class = ref($proto) || $proto;

    my $self = {};

    bless($self, $class);


    $self->{'NAME'} = $name;

    return $self;
}

sub set_name {
    my $self = shift;
    $self->{'NAME'} = shift;
}

sub get_name {
    my $self = shift;
    return $self->{'NAME'};
}

sub add_option {
    my $self = shift;
    my ($label, $value) = @_;
    $self->{'OPTIONS'}->{$label} = $value;
}

sub get_options {
    my $self = shift;
    return %{$self->{'OPTIONS'}};
}

## use one or the other not both ##
sub set_default_value {
    my $self = shift;
    $self->{'DEFAULT_VALUE'} = shift;
}

sub set_default_label {
    my $self = shift;
    $self->{'DEFAULT_LABEL'} = shift;
}
####

sub get_default_value {
    my $self = shift;
    return $self->{'DEFAULT_VALUE'} ? $self->{'DEFAULT_VALUE'} : '';
}

sub get_default_label {
    my $self = shift;
    return $self->{'DEFAULT_LABEL'} ? $self->{'DEFAULT_VALUE'} : '';
}

sub set_size {
    my $self = shift;
    $self->{'SIZE'} = shift;
}

sub get_size {
    my $self = shift;
    return $self->{'SIZE'};
}

sub show {
    die  "Form::Choice->show: override me (must be overridden)";
}

1;


__END__

=head1 NAME

=head1 SYNOPSIS

=head1 DESCRIPTION

=cut
