###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Form::Select;
use strict;

use Metadot qw($USER %FORM $SESSION $HTTP_HEADER_SENT);
use Form::Choice;

@ISA = ( "Form::Choice" );

sub set_multiple_on {
    my $self = shift;
    $self->{'MULTIPLE'} = 1;
}

sub set_multiple_off {
    my $self = shift;
    $self->{'MULTIPLE'} = undef;
}

sub get_multiple {
    my $self = shift;
    return $self->{'MULTIPLE'};
}

sub show {
    my $self = shift;

    my $default = $FORM{$self->get_name()} ? $FORM{$self->get_name()} : $self->get_default_value;

    my $multiple = $self->get_multiple ? 'multiple' : '';
    my $size = $self->get_size ? "size =\"" . $self->get_size . "\"" : '';

    my $output = "<SELECT name=\"" . $self->get_name . "\"" . $size;
    $output   .= " " . $multiple . ">\n";

    my %options = $self->get_options;
    foreach my $key ( keys %options ) {
    $output .= "<option value=\"" . $options{$key} . "\"";

    if ($default eq $options{$key}) {
        $output .= " selected";
    }
    $output .= ">$key\n";
    }

    $output .= "</SELECT>";

    return $output;
}

1;


__END__

=head1 NAME

=head1 SYNOPSIS

=head1 DESCRIPTION

=cut
