###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Version;
use strict;

use Metadot qw($USER %FORM $SESSION $HTTP_HEADER_SENT $PARAMS);


use DBAccess;
use Metadot::AccessBroker::DocumentVersionBroker;
use Utility;

use CGI qw/escape unescape/;
use vars qw(@ISA);
@ISA=qw(GizmoBuilder);
my $version = "4.5";

sub get_version {
    return $version;
}

#my $default_permissions = Version->SUPER::get_default_permissions;
# aju hmmm..... what was the purpose of the following?
#  $default_permissions->add_op_parent_dependency('DISP', 'download', 'MOD');
#$default_permissions->remove_op('DEL', 'delete');
#$default_permissions->remove_op('DEL', 'delete_ok');
#$default_permissions->add_op('DISP', 'delete');
#$default_permissions->add_op('DISP', 'delete_ok');
#$default_permissions->add_op_parent_dependency('DISP', 'delete', 'MOD');
#$default_permissions->add_op_parent_dependency('DISP', 'delete_ok', 'MOD');
#$default_permissions->add_op('DISP', 'force_download');


my $ACCESS_BROKER = Metadot::AccessBroker::DocumentVersionBroker->new();


sub _get_access_broker {
    my $self = shift;
    return $ACCESS_BROKER;
}


sub is_allowed_to_do {
   my $self = shift;
   my $op = shift || die "must provide operation name";
   my $user = shift || $USER;

   my $ab = $self->_get_access_broker();
   return $ab->is_allowed_to_do(op => $op, user => $user, doc_version => $self);
}

sub upload_file {
    my $self = shift;
    my $file = shift;
    my $filename = $self->SUPER::upload_file($file, $self->{id}, $USER->{uid});
    $self->{file1} = $filename;
}

sub set_version_number {
    my $self = shift;
    $self->{t2} = shift;
}

sub set_owner {
    my $self = shift;
    $self->{uid} = shift;
}

sub set_comment {
    my $self = shift;
    $self->{t1} = shift;
}

sub set_uid_of_modifier {
    my $self = shift;
    $self->{i1} = shift;
}


sub set_file1 {
    my $self = shift;
    $self->{file1} = shift;
}

sub get_version_number {
    my $self = shift;
    return $self->{t2};
}

sub get_owner {
    my $self = shift;
    return $self->{UID};
}

sub get_comment {
    my $self = shift;
    return $self->{t1};
}

sub get_uid_of_modifier {
    my $self = shift;
    return $self->{i1};
}

sub get_modification_time {
    my $self = shift;
    return $self->{creation_date};
}

sub get_file1 {
    my $self = shift;
    return $self->{file1};
}




sub show_previous {
    my $class = shift;
    my $parent_iid = shift;
    my $current_version_iid = shift;
    my $content = "";

    $parent_iid = undef unless Utility->is_valid_integer($parent_iid); # secu_200401
    $current_version_iid = undef unless Utility->is_valid_integer($current_version_iid); # secu_200401

    if (defined $parent_iid && defined $current_version_iid) {
        my $sth = DBAccess->sqlSelectMany("iid", "instance", "parentiid = $parent_iid and iid != $current_version_iid order by CreationDate desc");
        while (my ($child_iid) = $sth->fetchrow_array()) {
            my $version = Version->new($child_iid);
            $content .= "<b> - " . $version->get_file1 . " - v". $version->get_version_number . " </b> " . $version->get_file_1_icon();

            # CKIM: not sure why this is called against $class, because it is dependent on
            #       an actual instance
            #$content .= $class->get_buttons();
            $content .= $version->get_buttons();
            $content .= "<br />";
            $content .= $version->get_comment() . "<br />";
            $content .= "Checked in by <b>" . $USER->get_fullname_from_uid($version->get_uid_of_modifier()) . "</b> on <b>" . $version->get_modification_time() . "</b><br /><br />";
        }
        $sth->finish();
    }

    return $content;
}


sub get_buttons() {
    my $version = shift;
    my $content = '';
    if ($version->is_allowed_to_do('delete')) {
        $content .= "<a href = \"index.pl?id=".$version->get_id()."&amp;op=delete\"><img class=\"icon\" src = " . $PARAMS->{'imageslocation'} . "/obj/del.gif border=\"0\" alt='Delete' align = bottom></a>";
    }
    return $content;
}

sub delete_children {
    my $class = shift;
    my $parent_iid = shift;
    $parent_iid = undef unless Utility->is_valid_integer($parent_iid); # secu_200401

    my $sth = DBAccess->sqlSelectMany("iid", "instance", "parentiid = $parent_iid");
    while (my ($child_iid) = $sth->fetchrow_array()) {
        my $version = Version->new($child_iid);
        $version->delete();
    }
}

1;
