#!/usr/bin/perl

#
# Test file for HelloWorld.pm
# $Id: HelloWorld.001.t,v 1.1.2.2 2006/05/10 21:52:15 bob Exp $
#


use strict;
use Test::Simple tests=>6;

# sets up the environment
use SmokeMetadot;
use Metadot::Testing::Mechanizer;

# set up info
my $mech        = Metadot::Testing::Mechanizer->new();
my $parent_page = Metadot::PortalFactory->get_home_object();

# this is the class being tested
use Portal;
my $test_class = 'Gizmo3000::HelloWorld::HelloWorld3000';


#################################################
# Test: Create a new instance
#################################################

my $obj = $test_class->new();
ok((defined($obj) and ref $obj eq $test_class), "testing new()");



#################################################
# Test: Set name
#################################################

my $test_name = "Test Case Foo";

$obj->name($test_name);
my $name = $obj->name();

ok( $name eq $test_name, 'testing name() accessor/mutator');



#################################################
# Test: Saving the instance to the DB
#################################################
$obj->set_uid(-1);
$obj->set_parent_id($parent_page->id());


my $id = $obj->add();
ok (defined $id && Utility->is_valid_integer($id), 'testing add()');



#################################################
# Test: Retrieving the instance to the DB
#################################################

# Load the newly saved instance
my $newobj = $test_class->restore($id);
my $restored_id = $newobj->id();
my $restored_name = $newobj->name();
my $restored_description = $newobj->description();

ok( $id == $restored_id, 'testing restore()' );
ok( $test_name eq $restored_name, 'testing restored name');



################################################################################
# Test: Instance is visible from parent page
################################################################################
#ok($mech->instance_retrievable(iid=>$parent_page->id(), expr=>$test_name, tid=>$id),
#   'Instance was found in parent page '.$parent_page->id());


#################################################
# Test: Deleting an instance
#################################################

$obj->delete();

#testing if really deleted
#we try to load the one we just deleeted and we should get an error

my $newobj2 = $test_class->new($id);
$id = (defined $newobj2) ? $newobj2->id() : undef;

ok( ((!defined($id)) or ($id=='')), 'testing delete()');



#################################################
# That's it!!!!
#################################################
