###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Gizmo3000::Newsletter::Newsletter;

use strict;
use vars qw(@ISA);

use Metadot qw($DISPLAY);
use Metadot::Gizmo3000;
use Metadot::Navigable;
use Metadot::Printable;
use Metadot::Invitable;

@ISA = qw(Metadot::Gizmo3000 Metadot::Navigable Metadot::Printable Metadot::Invitable);

use constant GIZMO_CONFIG => {
    GIZMO_INFO   => {
        name                => 'Newsletter w/ multiple pages',
        version             => '1.0',
        description         => 'A newsletter which contains multiple articles',
        author              => 'Cory Kim',
        info                => 'cory@metadot.com',
        need_portal_version => 6.4,
        debug               => 3,
        edit_help           => '',
        child_types         => ['Gizmo3000::Newsletter::Article'],
    },
    GIZMO_FIELDS  => [
        {
            name            => 'name',
            label           => 'Name',
            is_mandatory    => 1,
            inline_help     => 'The title of the newsletter',
            size            => 80,
            store_at_column => 'name',
        },
        {
            name            => 'content',
            label           => 'Content',
            type            => 'htmlarea',
            store_at_column => 'description',
        },
    ],
};




sub do_show {
    my $self    = shift;
    my $context = shift;

    return 'newsletter3000.tt2';
}


sub do_show_printer_friendly {
    my $self = shift;
    my $context = shift;

    return 'newsletter3000.tt2';
}


1;
