###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package GizmoTag;
use strict;

##################################################
## the object constructor                       ##
##################################################
sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self  = {};
    $self->{name} = "";
    $self->{version} = "";
    $self->{authorname} = "";
    $self->{url} = "";
    $self->{email} = "";
    $self->{license} = "Copyrighted by Author";

    # name of style class that will be written
    # in the html output. useful for CSS.
    $self->{styleclass} = "";

    # name of style classes which are already
    # within the html output. useful for CSS.
    $self->{embeddedstyleclasses} = [];
    $self->{description} = "";
    bless ($self, $class);
    return $self;
}

##############################################
## methods to access per-object data        ##
##############################################

sub get_name {
    my $self = shift;
    return $self->{name};
}
sub set_name {
    my $self = shift;
    $self->{name} = shift ;
    return 1;
}

sub get_version {
    my $self = shift;
    return $self->{version};
}
sub set_version {
    my $self = shift;
    $self->{version} = shift ;
    return 1;
}


sub get_license {
    my $self = shift;
    return $self->{license};
}
sub set_license {
    my $self = shift;
    $self->{license} = shift ;
    return 1;
}

sub get_embeddedstyleclasses {
    my $self = shift;
    return $self->{embeddedstyleclasses};
}
sub set_embeddedstyleclasses {
    my $self = shift;
    $self->{embeddedstyleclasses} = shift ;
    return 1;
}

sub get_styleclass {
    my $self = shift;
    return $self->{styleclass};
}
sub set_styleclass {
    my $self = shift;
    $self->{styleclass} = shift ;
    return 1;
}

sub get_description {
    my $self = shift;
    return $self->{description};
}
sub set_description {
    my $self = shift;
    $self->{description} = shift ;
    return 1;
}

sub get_authorname {
    my $self = shift;
    return $self->{authorname};
}
sub set_authorname {
    my $self = shift;
    $self->{authorname} = shift ;
    return 1;
}


sub get_email {
    my $self = shift;
    return $self->{email};
}
sub set_email {
    my $self = shift;
    $self->{email} = shift ;
    return 1;
}


sub get_url {
    my $self = shift;
    return $self->{url};
}
sub set_url {
    my $self = shift;
    $self->{url} = shift ;
    return 1;
}


1;  # so the require or use succeeds

