###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package md_calendar_month;
use GizmoTag;
@ISA = ("GizmoTag");
use Metadot qw($PARAMS);
use strict;

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = $class->SUPER::new();
    $self->{name} = __PACKAGE__;
    $self->{version} = '$Revision: 5.14.40.2 $';
    $self->{authorname} = 'Mike Saenz';
    $self->{email} = 'mike@metadot.com';
    $self->{url} = 'http://www.metadot.net/';
    $self->{license} = '';
    $self->{styleclass} = 'tagCalendarClass';
    $self->{description} = 'display calendar month';
    bless ($self, $class);
    return $self;
}

sub md_tag_exec {
  my $self = shift;
  my $myiid = shift;
  my $params = shift;

  my $color;
  my $caller = $params->{'caller'};
  if (($PARAMS->{'template_theme'} eq 'theme1') ||
      ($PARAMS->{'template_theme'} eq 'theme2')) {
      $color = $PARAMS->{'header1_color'};
  }
  my $output;
  if (defined $caller && $caller->can('show_calendar_column')) {
      $output = "<div class='" . $self->get_styleclass() . "'>" .
                  # aju 04-23-02 pass in info to allow calendar to stay rendered in parent envir when shift
                  # forw/backw a month
                  $caller->show_calendar_column($color, $myiid, 'show') . "</div>";
  }
  return $output;
}

1;

