# $Id:
###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package md_clipboard;
use GizmoTag;
@ISA = ("GizmoTag");
use Metadot qw($USER %FORM $SESSION $HTTP_HEADER_SENT);
use strict;

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = $class->SUPER::new();
    $self->{name} = 'md_clipboard';
    $self->{version} = '$Revision: 5.11.40.2 $';
    $self->{authorname} = 'Mike Saenz';
    $self->{email} = 'mike@metadot.com';
    $self->{url} = 'http://www.metadot.net/';
    $self->{license} = '';
    $self->{styleclass} = 'tagClipboardClass';
    $self->{description} = 'display clipboard';
    bless ($self, $class);
    return $self;
}

sub md_tag_exec {
  my $self = shift;
  my $iid  = shift;

  return defined($iid) && $SESSION->admin_mode() ? "<br\><br\>\n".Clipboard->show_select($iid, undef, ['File']) : '';
}

1;

