###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package md_gizmolist;
use GizmoTag;
@ISA = ("GizmoTag");
use Gizmo::Category;
use Metadot qw($PARAMS);
use strict;

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = $class->SUPER::new();
    $self->{name} = 'md_gizmolist';
    $self->{version} = '$Revision: 5.13.30.2 $';
    $self->{authorname} = 'Mirko Scavazzin';
    $self->{email} = 'mirko@metadot.com';
    $self->{url} = 'http://www.metadot.net/';
    $self->{license} = '';
    $self->{styleclass} = 'tagGizmoListClass';
    $self->{description} = 'display by gizmo type, the list of all the gizmos within the category';
    bless ($self, $class);
    return $self;
}

sub md_tag_exec {
  my $self = shift;
  my $myiid = shift;
    my $isa = "Category";
    my $imglocation = $PARAMS->{imageslocation};
    # removed hard-code of Category; this causes probs with instance cache.
    my $c = Gizmo->restore($myiid);
    if ($c->can('show_all_childs_list')) {
        my $str = "<div class='" . $self->get_styleclass() . "'>" . $c->show_all_childs_list() . "</div>";

        # adding printer friendly and email friend icons: #
        if (!($PARAMS->{email_friend})) {
    $str .= "
    <br /><br />
    <a href='index.pl?isa=$isa&amp;op=show_printer_friendly&amp;iid=$myiid' target='_blank'>
    <img align='absmiddle' src='$imglocation/obj/printer_icon.gif' alt='Printer Friendly Version' border='0'></a>&nbsp;<a href='index.pl?isa=$isa&amp;op=invite&amp;iid=$myiid'><img align='absmiddle' src='$imglocation/obj/mail_icon.gif' alt='Email This To Your Friend' border='0'></a>
    ";
     }
        return $str;
    }
}

1;

