# $Id: md_gizmorunner.pm,v 5.10.40.2 2005/07/01 22:41:27 nico Exp $
###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package md_gizmorunner;
use GizmoTag;
@ISA = ("GizmoTag");
use Gizmo::Category;
use Metadot qw($USER);
use strict;

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = $class->SUPER::new();
    $self->{name} = 'md_gizmorunner';
    $self->{version} = '$Revision: 5.10.40.2 $';
    $self->{authorname} = 'John Kropka';
    $self->{email} = 'john@metadot.com';
    $self->{url} = 'http://www.metadot.net/';
    $self->{license} = '';
    $self->{styleclass} = 'tagItemListClass';
    $self->{description} = 'display Items, the list of all the items within the category';
    bless ($self, $class);
    return $self;
}

sub md_tag_exec {
  my $self = shift;
  my $myiid = shift;
  my $params = shift;

  my $error='';
  my $iid = $params->{iid};
  my $isa = $params->{isa} || 'GizmoBuilder';
  my $op  = $params->{op}  || 'show';

  my $gizmo;
  my $result;
  if ($iid) {
      eval {
        $gizmo = $isa->new($iid);
      };
  } else {
      $error .= '[No iid was specified]';
  }

  #print STDERR "CKIM: md_gizmorunner has Gizmo $gizmo; op='$op'; iid='$iid'; isa='$isa'\n";
  if ($gizmo) {
    if ($gizmo->is_allowed_to_do($op, $USER)) {
        if ( ($op eq 'show') && ($gizmo->can('show_summary')) ) {
            $result = $gizmo->show_summary();
#       print STDERR "got gizmorunner result: $result\n";
        } else {
            $result = $gizmo->handle($op);
        }
    } else {
        $error .= "[User not allowed to do $op]";
    }
  } else {
      $error .= "[Could not create $isa]";
  }

  #print STDERR "CKIM md_gizmo_runner OUTPUTS\n$result\n";
  return $error || $result;

}

1;

