# $Id: md_h_topnavl1.pm,v 5.12.40.2 2005/07/01 22:41:27 nico Exp $
###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package md_h_topnavl1;
use GizmoTag;
use Metadot qw($PARAMS);
@ISA = ("GizmoTag");
use strict;

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = $class->SUPER::new();
    $self->{name} = 'md_h_topnavl1';
    $self->{version} = '$Revision: 5.12.40.2 $';
    $self->{authorname} = 'Mirko Scavazzin';
    $self->{email} = 'mirko@metadot.com';
    $self->{url} = 'http://www.metadot.net/';
    $self->{license} = '';
    $self->{styleclass} = 'tagHTopNavClass';
    $self->{description} = 'display horizontally the category list, using specifed color in param leftnav1_color';
    bless ($self, $class);
    return $self;
}

sub md_tag_exec {
  my $self = shift;
  my $myiid = shift;
  my $params = shift;
  # get color info from $PARAMS hash.
  my $l1c;
  if (($PARAMS->{'template_theme'} eq 'theme1') ||
      ($PARAMS->{'template_theme'} eq 'theme2')) {
      $l1c = $PARAMS->{'leftnav1_color'};
  }
  my $caller = $params->{'caller'};
  if ($caller->can('show_h_topnav')) {
      return "<div class='" . $self->get_styleclass() . "'>" .
          $caller->show_h_topnav('', $myiid, $l1c) . "</div>";
  }
}

1;

