###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package md_links_panel;
use GizmoTag;
use Metadot qw( $USER $PARAMS );
use Metadot::AuthenticatorFactory;

@ISA = ("GizmoTag");

use strict;

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = $class->SUPER::new();
    $self->{name} = 'md_links_panel';
    $self->{version} = '$Revision: 5.15.28.2 $ ';
    $self->{authorname} = 'Claudio Garcia';
    $self->{email} = 'claudio@metadot.com';
    $self->{url} = 'http://www.metadot.net/';
    $self->{license} = '';
    $self->{styleclass} = 'tagLinksPanelClass';
    $self->{description} = 'display the login/logout links panel';
    bless ($self, $class);
    return $self;
}

sub md_tag_exec {
    my $self = shift;
    my $myiid = shift;

    # CKIM: disabling this feature; do not know why it's there, and it
    #       should use a different test
    # my $user_management_is_external = MetadotConfig->get_param_value('user_management_is_external');

    my $images_loc = $PARAMS->{imageslocation};

    my $s = <<EOF;
<script language="JavaScript">
<!--

function newImage(arg) {
        if (document.images) {
                rslt = new Image();
                rslt.src = arg;
                return rslt;
        }
    }

function changeImages() {
        if (document.images && (preloadFlag == true)) {
                for (var i=0; i<changeImages.arguments.length; i+=2) {
                        document[changeImages.arguments[i]].src = changeImages.arguments[i+1];
                }
        }
}

var preloadFlag = false;

function preloadImages() {
        if (document.images) {
                register_over = newImage("$images_loc/navbar/register_over.gif");
                register = newImage("$images_loc/navbar/register.gif");
                login = newImage("$images_loc/navbar/login.gif");
                login_over = newImage("$images_loc/navbar/login_over.gif");
                logout = newImage("$images_loc/navbar/logout.gif");
                logout_over = newImage("$images_loc/navbar/logout_over.gif");
                preloadFlag = true;
        }
}

preloadImages();
// -->
</script>
<TABLE border="0" cellpadding="0" cellspacing="0">
    <TR VALIGN="bottom">

EOF

    # CKIM: disabling this feature; do not know why it's there, and it
    #       should use a different test
    #unless( $user_management_is_external ) {

    unless( $USER->is_logged_in() ) {
        if (!$PARAMS->{registration_closed}) {
        $s .= "\n<td valign='bottom'><a href=\"index.pl?isa=Register&amp;op=register_form\" onmouseover=\"changeImages(\'register\',\'$images_loc/navbar/register_over.gif\'); return true;\" onmouseout=\"changeImages(\'register\', \'$images_loc/navbar/register.gif\'); return true;\"><img name=\"register\" src=\"$images_loc/navbar/register.gif\" width=\"70\" height=\"14\" border=\"0\"></a></td>";
        }
        $s .= "\n<td valign='bottom'><a href=\"".Metadot::AuthenticatorFactory->get_authenticator()->get_login_url()."\" onmouseover=\"changeImages(\'login\',\'$images_loc/navbar/login_over.gif\'); return true;\" onmouseout=\"changeImages(\'login\', \'$images_loc/navbar/login.gif\'); return true;\"><img name=\"login\" src=\"$images_loc/navbar/login.gif\" width=\"60\" height=\"14\" border=\"0\"></a></td>";

    } else {

        $s .= "\n<td valign='bottom'><a href=\"".Metadot::AuthenticatorFactory->get_authenticator()->get_logout_url()."\" onmouseover=\"changeImages(\'logout\',\'$images_loc/navbar/logout_over.gif\'); return true;\" onmouseout=\"changeImages(\'logout\', \'$images_loc/navbar/logout.gif\'); return true;\"><img name=\"logout\" src=\"$images_loc/navbar/logout.gif\" border=\"0\"></a></td>\n\n<td valign='bottom'><a href=\"index.pl?isa=Metadot::SystemApp::MyStuff&amp;op=show\" onmouseover=\"changeImages(\'mystuff\',\'$images_loc/navbar/mystuff_over.gif\'); return true;\" onmouseout=\"changeImages(\'mystuff\', \'$images_loc/navbar/mystuff.gif\'); return true;\"><img name=\"mystuff\" src=\"$images_loc/navbar/mystuff.gif\" border=\"0\"></a></td>\n";
    }
    #}

    #RESTRICTED-USER: prevent these links for restricted users
    if( $PARAMS->{my_website_creation} && !$USER->is_restricted()) {
    $s .= <<EOF;
            <td valign='bottom'><A href="index.pl?isa=Portal&amp;op=myportal" onmouseover="changeImages('my_website', '$images_loc/navbar/my_website2_01-over.gif'); return true;" onmouseout="changeImages('my_website', '$images_loc/navbar/my_website2_01.gif'); return true;"><IMG name="my_website" src="$images_loc/navbar/my_website2_01.gif" height="14" width="66" border="0"></a></td>
EOF
    }

    #RESTRICTED-USER: prevent these links for restricted users
    # aju 05-21-02 -- if a 'hide_my_page' param is added to the params table, won't
    # show the mypage link.
    if (!$USER->is_restricted() && !$PARAMS->{hide_my_page}) {
        $s .= <<EOF
            <td valign='bottom'><A href="userchannel.pl" onmouseover="changeImages('my_page', '$images_loc/navbar/my_page_over.gif'); return true;" onmouseout="changeImages('my_page', '$images_loc/navbar/my_page.gif'); return true;"><IMG name="my_page" src="$images_loc/navbar/my_page.gif" width="65" height="14" border="0"></a></td>
EOF
;
    }
    $s .= <<'EOF';
   </TR>
</TABLE>
EOF


    return $s;
}

1;

