# $Id: md_quota_meter.pm,v 5.12.40.2 2005/07/01 22:41:27 nico Exp $
###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package md_quota_meter;
use GizmoTag;
@ISA = ("GizmoTag");
use Metadot qw($USER %FORM $SESSION $HTTP_HEADER_SENT);
use strict;

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = $class->SUPER::new();
    $self->{name} = 'md_quota_meter';
    $self->{version} = '$Revision: 5.12.40.2 $';
    $self->{authorname} = 'Claudio Garcia';
    $self->{email} = 'claudio@metadot.com';
    $self->{url} = 'http://www.metadot.net/';
    $self->{license} = '';
    $self->{styleclass} = 'tagQuotaMeterClass';
    $self->{description} = 'display the remaining quota for user file uploads';
    bless ($self, $class);
    return $self;
}

sub md_tag_exec {
  my $self = shift;

  unless( $SESSION->admin_mode() ) { return '' }

  my ($space_quota, $num_files_quota) = $USER->get_uploads_space_and_num_files_quota();

  # convert to bytes for comparison
  $space_quota *= 1048576;


  my ($used_space, $used_files) = $USER->get_used_uploads_space_and_num_files();

#  print STDERR "from get_used_uploads_space_and_num_files, got used space: $used_space\n";
  my $space_pct = sprintf("%d", $used_space/$space_quota * 100);
  my $num_files_pct = sprintf("%d", $used_files/$num_files_quota * 100);

  my $files_pct = $used_space/$space_quota * 100;

  my $class = ' CLASS=' . $self->get_styleclass();

  # convert to MB for display
  $space_quota = sprintf( "%0.0f", $space_quota / 1048576 );
  $used_space = sprintf( "%.4f", $used_space / 1048576 );
#    $used_space = $used_space/ 1048576;

  return '<div>' .
    "<table><tr><td colspan='4' $class><b>Disk Quota Meter</b></td></tr>" .
       "<tr><td $class></td><td $class>Avail</td><td $class>Used</td><td $class>Pct Used</td></tr>" .
       "<tr $class><td $class>Space (MB)</td><td $class>$space_quota</td><td $class>$used_space</td><td $class>$space_pct\%</td></tr>" .
       "<tr><td $class >Files</td><td $class>$num_files_quota</td><td $class>$used_files</td><td $class>$num_files_pct\%</td></tr>" .
    '</table>' .
    '</div>';
}

1;

