###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package md_theme1_header;

use Template;

use Metadot qw($PARAMS);
use GizmoTag;
@ISA = ("GizmoTag");
use strict;

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = $class->SUPER::new();
    $self->{name} = 'md_theme1_header';
    $self->{version} = '$Revision: 5.13.40.2 $';
    $self->{authorname} = 'Mirko Scavazzin';
    $self->{email} = 'mirko@metadot.com';
    $self->{url} = 'http://www.metadot.net/';
    $self->{license} = '';
    $self->{styleclass} = 'tagSearchClass';
    $self->{description} = 'generate header code for theme1';
    bless ($self, $class);
    return $self;
}

sub md_tag_exec {
  my $self = shift;
  my $myiid = shift;
  my $params = shift;

#    print STDERR "in md_theme1_header exec\n";

  my ($l1, $l2, $l1a, $l1h, $l2h, $l2a, $l1_w, $l2_w, $color, $template_name, $banner_text, $banner_subtext, $banner_text_color);
  if (($PARAMS->{'template_theme'} eq 'theme1') ||
      ($PARAMS->{'template_theme'} eq 'theme2')) {
      # get logo info from $PARAMS hash.
      $l1 = $PARAMS->{'header1_logo1'};
      $l2 = $PARAMS->{'header1_logo2'};
      $l1a = $PARAMS->{'header1_logo1_alt'};
      $l1h = $PARAMS->{'header1_logo1_href'};
      $l2a = $PARAMS->{'header1_logo2_alt'};
#      $l1_w = $PARAMS->{'header1_logo1_wdth'};
#      $l2_w = $PARAMS->{'header1_logo2_wdth'};
      $l2h = $PARAMS->{'header1_logo2_href'};
      $color = $PARAMS->{'header1_color'};
      $template_name = 'theme1_header.tt2';
      $banner_text = $PARAMS->{'header1_text1'};
      $banner_subtext = $PARAMS->{'header1_text2'};
      $banner_text_color = $PARAMS->{'title_text_color'};
  }

  $params->{'imageslocation'} = $PARAMS->{'imageslocation'};
  $params->{'logo1'} = $l1;
  $params->{'logo2'} = $l2;
  $params->{'banner_text'} = $banner_text;
  $params->{'banner_subtext'} = $banner_subtext;
  $params->{'banner_text_color'} = $banner_text_color;
#  $params->{'logo1_href'} = $l1h;
  # do we want this param to be tweakable?..
  $params->{'logo1_href'} = $l1h;
  $params->{'logo1_alt'} = $l1a;
  $params->{'logo2_alt'} = $l2a;
  $params->{'logo2_href'} = $l2h;
#  $params->{'logo1_width'} = $l1_w;
#  $params->{'logo2_width'} = $l2_w;
  $params->{'header_color'} = $color;


  my $output;

  my $template = Template->new({
      INCLUDE_PATH => 'Metadot/templates',
  }) || die $Template::ERROR, "\n";

  $template->process($template_name, $params, \$output)
      || die $template->error(), "\n";

    return $output;
}

1;

