# $Id: md_theme1_style.pm,v 5.10.40.2 2005/07/01 22:41:27 nico Exp $
###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package md_theme1_style;

use Template;

use Metadot qw($PARAMS);
use GizmoTag;
@ISA = ("GizmoTag");
use strict;

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = $class->SUPER::new();
    $self->{name} = 'md_theme1_style';
#      $self->{version} = '$Revision: 5.10.40.2 $';
    $self->{authorname} = '';
    $self->{email} = '';
    $self->{url} = 'http://www.metadot.net/';
    $self->{license} = '';
    $self->{styleclass} = 'tagSearchClass';
    $self->{description} = 'generate header code for theme1';
    bless ($self, $class);
    return $self;
}

sub md_tag_exec {
  my $self = shift;
  my $myiid = shift;
  my $params = shift;

#    print STDERR "in md_theme1_style exec\n";

  my ($c1, $c2, $template_name, $leftnav_color);
  if (($PARAMS->{'template_theme'} eq 'theme1') ||
      ($PARAMS->{'template_theme'} eq 'theme2')){
      # get info from $PARAMS hash.
      $c1 = $PARAMS->{'nav_text_color'};
      $c2 = $PARAMS->{'title_text_color'};
      $leftnav_color = $PARAMS->{'leftnav1_color'};
      $template_name = 'theme1_stylerules.tt2';
  }

  $params->{'nav_text_color'} = $c1;
  $params->{'title_text_color'} = $c2;
  $params->{'leftnav_color'} = $leftnav_color;

  my $output;

  my $template = Template->new({
      INCLUDE_PATH => 'Metadot/templates',
  }) || die $Template::ERROR, "\n";

  $template->process($template_name, $params, \$output)
      || die $template->error(), "\n";

#    print STDERR "got html: $output\n";
    return $output;
}

1;

