# $Id: md_todays_events.pm,v 5.12.40.3 2005/07/01 22:41:27 nico Exp $
###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package md_todays_events;
use GizmoTag;
@ISA = ("GizmoTag");
use Metadot qw($USER %FORM $SESSION $HTTP_HEADER_SENT);
use strict;

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = $class->SUPER::new();
    $self->{name} = __PACKAGE__;
    $self->{version} = '$Revision: 5.12.40.3 $';
    $self->{authorname} = 'Mike Saenz';
    $self->{email} = 'mike@metadot.com';
    $self->{url} = 'http://www.metadot.net/';
    $self->{license} = '';
    $self->{styleclass} = 'tagEventClass';
    $self->{description} = "display today's calendar events";
    bless ($self, $class);
    return $self;
}

sub md_tag_exec {
  my $self = shift;
  my $myiid = shift;

  $myiid = undef unless Utility->is_valid_integer($myiid); # secu_200401
  my $event_listings = DBAccess->sqlSelectMany("iid", "instance", "parentiid=$myiid and isa='Calendar'");

  my $html = '';
  my $cal;

  while(my($cal_id) = $event_listings->fetchrow) {
      $cal = Calendar->new($cal_id);
      $cal->set_datetime(time);## set calendar object to current time
      $html .= "<p />" . $cal->show();
  }

  return "<div class='" . $self->get_styleclass() . "'>$html</div>";
}

1;

