# $Id: md_users_online.pm,v 5.13.2.2 2005/07/01 22:41:27 nico Exp $
###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package md_users_online;
use GizmoTag;
@ISA = ("GizmoTag");
use Metadot qw($USER %FORM $SESSION $HTTP_HEADER_SENT $PARAMS $DISPLAY);
use strict;

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = $class->SUPER::new();
    $self->{name} = 'md_users_online';
    $self->{version} = '$Revision: 5.13.2.2 $';
    $self->{authorname} = 'David Sheth';
    $self->{email} = 'david@metadot.com';
    $self->{url} = 'http://www.metadot.net/';
    $self->{license} = '';
    $self->{styleclass} = 'tagWelcomeClass';
    $self->{description} = 'Display number of users online';
    bless ($self, $class);
    return $self;
}

sub md_tag_exec {
    my $self = shift;
    my $s = "";
    my $members_online = $SESSION->get_members_online;

    my $website_link = "";
    my $link = "";
    my $website_link_show = 1;

    my $guests_online = $SESSION->get_guests_online;

    my $members_phrase = "$members_online member";

    my $limit = $PARAMS->{show_online_limit} || 5;
    my $show_list = $PARAMS->{show_who_online_list} || 0;
    my $with_data = 1;
    my $count = 0;
    my $noun = 'User';
    my $online_phrase = 'online:';

    if( $show_list eq 'on' ){
        $show_list = 1;
    }

    $DISPLAY->debug_msg(5, "limit[$limit] show_list[$show_list] memonline[$members_online]");

    unless ($members_online == 1) {
        $members_phrase = $members_phrase . "s";
        $noun .= 's';
    }

    if( $members_online == 0 || !$show_list ){
        $online_phrase = 'online';
    }

    $s .= "<table cellpadding=0 cellspacing=0 border=0>\n";
    $s .= "<tr><td colspan=2 class = onlinemonitorb><div style=\"white-space: nowrap\">$members_online $noun $online_phrase</div></td></tr>";

    if( $show_list && $members_online ){
        ## get member name, and website url
        #my ($members_online) = DBAccess->sqlSelectMany("distinct userid", "sessions", $SESSION->get_last_online_clause());
        my $members_online_sth = $SESSION->get_members_online($with_data);
        while( ($count < $limit) && (my ($uid) = $members_online_sth->fetchrow())  ){
           next unless ($uid);
           $DISPLAY->debug_msg(5, "showing online user uid[$uid]");

            my $u = Metadot::UserFactory->get_user( $uid );
            my $nick = $u->webname();

            $link = "index.pl?isa=User&amp;op=show_user_details&amp;view=medium&amp;uid=$uid";

            ## website_link is currently not displayed. If you want to change the link
            ## to point to the user's "my website" instead of their business card, set
            ## website_link_show to 1
            if( $website_link_show == 1 ){
                my $portal_id = $u->has_portal();
                $website_link = "index.pl?iid=$portal_id";
                $link = $website_link;
            }
            $s .= '<tr><td>-&nbsp;</td><td class = onlinemonitor><div style="white-space: nowrap">'
                  ."<a class='online_user' href='$link'>$nick</a>\n"
                  ."</div></td></tr>";
            $count++;
        }
        $members_online_sth->finish();
    }
    if( !$members_online ){
        $members_phrase = "No users logged in";
    }
    my $guests_phrase = "$guests_online guest";
    if ($guests_online > 1){
        $guests_phrase = $guests_phrase . "s";
    }

   #print STDERR "count[$count] limit[$limit] show_list[$show_list]\n\n";
   if( ($count >= $limit)){
       $s .= "<tr><td></td><td class = onlinemonitor><div style=\"white-space: nowrap\"><a href=\"index.pl?isa=Portal&op=online\"><i>More members online</i></a></div></td></tr>";
   } elsif( $count ){
       $s .= "<tr><td></td><td><a class='online_user' href=\"index.pl?isa=Portal&op=online\"><i>See user details</i></a></td></tr>";
   }
   $s .= "</table>";
   return $s;
}

1;

