###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Components;
use strict;

use Metadotclass;
use DBAccess;
use Carp qw(croak);
use Metadot qw($PARAMS $CGI);
use Metadot::Utils::Theme;


sub get_tabbed_panel {
  my $self = shift;
  my $tabs_config = shift || croak "must provide config href";

  my $header = shift;
  my $footer = shift;

  my $form_params = $tabs_config->{PARAMS_HASH};

  my $selected_id = $form_params->{tab_id} || $tabs_config->{TABS}[0]{ID};
  my $selected_cref = $tabs_config->{TABS}[0]{CODE};

  my ($tabs, $num_tabs);

  my $done_url = $tabs_config->{DONE_LOCATION}{URL};
  my $done_params;
  foreach my $param (keys %{$tabs_config->{DONE_LOCATION}{PARAMS}}){
    my $param_val = $tabs_config->{DONE_LOCATION}{PARAMS}{$param};
    $done_params .= "document.$selected_id.$param.value = '$param_val';\n";
  }
  $tabs = "<script type=\"text/javascript\">
function done() {
//  alert('done $selected_id going to ');
  document.$selected_id.action = '$done_url';
  $done_params
  document.$selected_id.submit();
  return true;
}

function changeTab(tabid) {
  document.$selected_id.tab_id.value = tabid;
//  alert('changing tab ' + document.$selected_id.tab_id.value);
  document.$selected_id.submit();
  return false;
}

</script>";

  my $url = $tabs_config->{BASE_LOCATION}{URL};
  $tabs .= "<form action='$url' name='$selected_id' method='POST'>";

  # add hidden vals
  $tabs .= "<input type=hidden name='tab_id' value='$selected_id'>";
  foreach my $param (keys %{$tabs_config->{BASE_LOCATION}{PARAMS}}){
    my $param_val = $tabs_config->{BASE_LOCATION}{PARAMS}{$param};
    $tabs .= "<input type=hidden name='$param' value='$param_val'>";
  }

  foreach my $tab (@{$tabs_config->{TABS}}) {
    unless($tab->{ID} eq $selected_id) {
      foreach my $param (@{$tab->{PRESERVE_PARAMS}}) {
    if(defined $form_params->{$param}) {
      my $param_val = $form_params->{$param};
      $tabs .= "<input type=hidden name='$param' value='$param_val'>";
    }
      }
    }
  }

  while(my $tab_conf = shift @{$tabs_config->{TABS}}) {
    my $tab_id = $tab_conf->{ID};
    my $title = $tab_conf->{TITLE};
    my $class = "";
    if ($selected_id eq $tab_id) {
      $class = "CUSTOMSELECTEDTAB";
      $selected_cref = $tab_conf->{CODE};
      $title = "<font class='CUSTOMSELECTEDTAB'>$title</font>";
    } else {
      $class = "CUSTOMTAB";
      $title = "<a class='CUSTOMTAB' href='dummy' onclick='return changeTab(\"$tab_id\")'>$title</a>";
    }
    $tabs .= "<td class=$class width='20%' height='35' align='center'>$title</td>";
    $num_tabs++;
  }

  my $panel = &$selected_cref($form_params);

  $footer.="<table width=\"100%\"><tr><td colspan='2' align='center'><input type='button' value='Done' onClick='done()'></td></tr></table></form>";



  my $imageslocation = $PARAMS->{'imageslocation'};

  my $s = "";
  my $stylerules = Metadot::Utils::Theme->get_theme_style_html();
  if (!$stylerules || ($stylerules eq '')) {
      $s .= "<LINK REL=StyleSheet HREF='$imageslocation/channelcss.css'>";
  }
  else {
      $s .= "\n" . $stylerules . "\n";
  }
  $s .= "<table width='100%' cellpadding=\"2\" cellspacing=\"2\" border=\"0\">
$tabs
<tr><td class='CUSTOMSELECTEDTAB' colspan='$num_tabs'>
<br />
$header
<center>
$panel
<br />
$footer
</center><br />
</td></tr></table>
<br /><br />";

  return $s;
}


sub get_multi_submit_form {
  my $self = shift;
  my $config = shift || croak "must provide config href";

  my $form_params = $config->{PARAMS_HASH};
  my $form_code = $config->{CODE};
  my %buttons;


  # make hidden vals
  my (%hidden, $hidden_params);
  foreach my $button_id (keys %{$config->{SUBMIT_BUTTONS}}) {
    foreach my $param (keys %{$config->{SUBMIT_BUTTONS}{$button_id}{PARAMS}}){
      $hidden_params .= "<input type=hidden name='$param' value=''>\n"
    unless ($hidden{$param});
      $hidden{$param}++;
    }
  }

  # make script functions
  my $javascript = "<script type=\"text/javascript\">\n";
  foreach my $button_id (keys %{$config->{SUBMIT_BUTTONS}}) {
    my $button_label = $config->{SUBMIT_BUTTONS}{$button_id}{LABEL};
    my $func_name = $button_id;
    my $action_url = $config->{SUBMIT_BUTTONS}{$button_id}{ACTION};
    my $submit_params;
    foreach my $param (keys %{$config->{SUBMIT_BUTTONS}{$button_id}{PARAMS}}){
      my $param_val = $config->{SUBMIT_BUTTONS}{$button_id}{PARAMS}{$param};
      $submit_params .= "document.theForm.$param.value = '$param_val';\n";
    }
    $javascript .= "function $func_name() {";
#    $javascript .= "alert('executing $func_name');";
    $javascript .= "document.theForm.action = '$action_url';
      $submit_params
      document.theForm.submit();
      return true;
    }\n";

    $buttons{$button_id} = "<input type='button' value='$button_label' onClick='$func_name()'>";

  }
  $javascript .= "</SCRIPT>\n";


  my $content = &$form_code($form_params, \%buttons);

  my $s = $javascript .
    "<form action='dummy' name=theForm method='POST'>" .
      $hidden_params . $content .
    "</form>";


  return $s;

}

##################################################
sub get_register_new_group_member {
    my $self = shift;
    my $config = shift;

    my $title = $config->{TITLE};
    my $header = $config->{HEADER};
    my $action = $config->{ACTION};
    my $button = $config->{BUTTON};
    my $width = $config->{WIDTH};

    my $s = '';
    if ($title) {
        $s .= "<H2>$title</H2>";
    }
    if ($header) {
        $s .= "<H2>$header</H2>";
    }
    $s .= "<form method = post action = $action>" if($action);

    foreach my $param (keys %{$config->{PARAMS}}){
      $s .= "<input type=hidden name='$param' value='$config->{PARAMS}{$param}'>\n";
    }
    $s .= Metadotclass->make_hidden();

    $s .= "$button" if(defined $button);
    $s .= "<input type=submit value=\"Click to Begin\" name=\"register_new_group_member\"></form>" if(defined $action);

    my $frame_add = new HTML::TableFrame("#333333", "#efefef", $width);

    $frame_add->add($s);

    return $frame_add->print;
}

##################################################
sub get_search_users {
    my $self = shift;
    my $config = shift;

    my $title = $config->{TITLE};
    my $header = $config->{HEADER};
    my $action = $config->{ACTION};
    my $button = $config->{BUTTON};
    my $message = $config->{MESSAGE};
    my $orientation = $config->{ORIENTATION};
    my $width = $config->{WIDTH};
    my $search_instructions =   "<font size = 1>Search Instructions:<br />mary finds Mary<br />
                        ma* finds Marcus and Mary<br />
                        *ma finds Puma<br />
                        *ma* finds the above, and Tamara</font>";


    my $s = ($title) ? "<H2>$title</H2>" : '';

    my $rs .= "<form method = post action = $action>" if($action);

    foreach my $param (keys %{$config->{PARAMS}}){
      $rs .= "<input type=hidden name='$param' value='$config->{PARAMS}{$param}'>\n";
    }

    $rs .= Metadotclass->make_hidden();

    if ($orientation eq "horizontal") {
    $s .= "<table width = \"100%\">
        <tr>
            <td colspan = 3>
                <H2>$header</h2>
            </td>
        </tr>
        <tr>
            <td colspan = 3>
                $message
            </td>
        </tr>
        <tr>
            <td>
                <b>E-mail address</b>
            </td>
            <td>
                <b>Full Name</b>
            </td>
            <td>
                <b>Nickname / Screenname</b>
            </td>
        </tr>$rs
        <tr>
            <td>
                <input type=text name=email>
            </td>
            <td>
                <input type=text name=fullname>
            </td>
            <td>
                <input type=text name=nickname>
            </td>
        </tr>
        <tr>
            <td colspan = 3>
                $search_instructions
            </td>
        </tr>

        </table>

    "
    } else {
    $s .= "<table>
    <tr>
        <td colspan = 2>
            <H2>$header</H2>
        </td>
    </tr>
    <tr>
        <td colspan = 2>
            $message
        </td>
    </tr>
    $rs
    <tr>
        <td>
            <b>E-mail address</b>
        </td>
        <td>
            <input type=text name=email>
        </td>
        </tr><tr>
        <td>
            <b>Full Name</b>
        </td>
        <td>
            <input type=text name=fullname>
        </td>

    </tr><tr>
                <td>
            <b>Nickname / Screenname</b>
        </td>
        <td>
            <input type=text name=nickname>
        </td>

    </tr>
        <tr>
            <td colspan = 2>
                $search_instructions
            </td>
        </tr>
</table>";
    }

    $s .= "$button" if(defined $button);
    $s .= "<input type=submit value = Search name = search></form>" if(defined $action);

    my $frame_add = new HTML::TableFrame("#333333", "#efefef", $width);

    $frame_add->add($s);

    return $frame_add->print;
}


##################################################


sub color_palette_code{
    my $self = shift;
    return "
        <script language=Javascript>
        <!--

                function getRadioValue (property)
                {
                        var retVal;
                        var i=0;
                        while (i < 48) {
                                if (document.fm[property][i].checked) {
                                        return document.fm[property][i].value;
                                }
                                i++;
                        }
                        if (document.fm[property][48].checked) {
                                return '';
                        }
                        return document.fm[property + '.txt'].value;
                }


                function setTxt (property, fmname)
                {
                        var val = getRadioValue(property);
                        if (val == 'def') { val = ''; }
                        eval(property.substr(1) + '=\"' + val + '\";');
                        document.fm[fmname].value = val;
                }

                function chkTxt (property)
                {
                        var val = document.fm[property + '.txt'].value;
                        if (val != '') {
                                document.fm[property][49].checked='1';
                                eval(property.substr(1) + '=\"' + val + '\";');
                        }
                }

                function updateListbox (property)
                {
                        var val = document.fm[property][document.fm[property].selectedIndex].value;
                        if (val == 'def') { val = ''; }
                        eval(property.substr(1) + '=\"' + val + '\";');
                }

                // -->

                </script>";
}

sub color_palette{
        my $self = shift;
        my ($a, $b) = @_;
        return "
        <table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"100%\">
                                <tr>
                                        <td bgcolor='#ffcfce'>&nbsp;</td>
                                        <td bgcolor='#ff6666'>&nbsp;</td>
                                        <td bgcolor='#ff0000'>&nbsp;</td>
                                        <td bgcolor='#cc3333'>&nbsp;</td>
                                        <td bgcolor='#990000'>&nbsp;</td>
                                        <td bgcolor='#660033'>&nbsp;</td>
                                        <td bgcolor='#ffffce'>&nbsp;</td>
                                        <td bgcolor='#ffff9c'>&nbsp;</td>
                                        <td bgcolor='#ffff00'>&nbsp;</td>
                                        <td bgcolor='#cccc66'>&nbsp;</td>
                                        <td bgcolor='#999933'>&nbsp;</td>
                                        <td bgcolor='#666633'>&nbsp;</td>
                                        <td bgcolor='#ceffff'>&nbsp;</td>
                                        <td bgcolor='#9ccfff'>&nbsp;</td>
                                        <td bgcolor='#66cccc'>&nbsp;</td>
                                        <td bgcolor='#3399cc'>&nbsp;</td>
                                        <td bgcolor='#0000ff'>&nbsp;</td>
                                        <td bgcolor='#003399'>&nbsp;</td>
                                        <td bgcolor='#ffccff'>&nbsp;</td>
                                        <td bgcolor='#ff9aff'>&nbsp;</td>
                                        <td bgcolor='#cc66cc'>&nbsp;</td>
                                        <td bgcolor='#cc33cc'>&nbsp;</td>
                                        <td bgcolor='#993399'>&nbsp;</td>
                                        <td bgcolor='#840084'>&nbsp;</td>
                                        <td>&nbsp;&nbsp;&nbsp;</td>
                                </tr>
                                <tr>
                                        <td><input type=radio name=\"$b\" value=\"ffcfce\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"ff6666\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"ff0000\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"cc3333\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"990000\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"660033\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"ffffce\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"ffff9c\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"ffff00\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"cccc66\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"999933\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"666633\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"ceffff\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"9ccfff\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"66cccc\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"3399cc\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"0000ff\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"003399\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"ffccff\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"ff9aff\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"cc66cc\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"cc33cc\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"993399\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"840084\" onclick='javascript:setTxt(\"$b\",\"$a\")'></td>
                                        <td>&nbsp;</td>
                                </tr>
                                <tr>
                                        <td bgcolor='#ffcf9c'>&nbsp;</td>
                                        <td bgcolor='#ff9933'>&nbsp;</td>
                                        <td bgcolor='#ff6600'>&nbsp;</td>
                                        <td bgcolor='#cc6600'>&nbsp;</td>
                                        <td bgcolor='#996633'>&nbsp;</td>
                                        <td bgcolor='#663300'>&nbsp;</td>
                                        <td bgcolor='#ceff9c'>&nbsp;</td>
                                        <td bgcolor='#9cff63'>&nbsp;</td>
                                        <td bgcolor='#33ff33'>&nbsp;</td>
                                        <td bgcolor='#00cc00'>&nbsp;</td>
                                        <td bgcolor='#009900'>&nbsp;</td>
                                        <td bgcolor='#006633'>&nbsp;</td>
                                        <td bgcolor='#cecfff'>&nbsp;</td>
                                        <td bgcolor='#9c9aff'>&nbsp;</td>
                                        <td bgcolor='#9966ff'>&nbsp;</td>
                                        <td bgcolor='#6633cc'>&nbsp;</td>
                                        <td bgcolor='#663399'>&nbsp;</td>
                                        <td bgcolor='#330066'>&nbsp;</td>
                                        <td bgcolor='#ffffff'>&nbsp;</td>
                                        <td bgcolor='#cccccc'>&nbsp;</td>
                                        <td bgcolor='#999999'>&nbsp;</td>
                                        <td bgcolor='#666666'>&nbsp;</td>
                                        <td bgcolor='#333333'>&nbsp;</td>
                                        <td bgcolor='#000000'>&nbsp;</td>
                                        <td>&nbsp;&nbsp;&nbsp;</td>
                                </tr>
                                <tr>
                                        <td><input type=radio name=\"$b\" value=\"ffcf9c\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"ff9933\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"ff6600\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"cc6600\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"996633\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"663300\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"ceff9c\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"9cff63\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"33ff33\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"00cc00\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"009900\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"006633\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"cecfff\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"9c9aff\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"9966ff\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"6633cc\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"663399\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"330066\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"ffffff\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"cccccc\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"999999\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"666666\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"333333\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td><input type=radio name=\"$b\" value=\"000000\" onclick='setTxt(\"$b\",\"$a\")'></td>
                                        <td>&nbsp;</td>
                                </tr>
                            </table>";
}


###################################################

sub get_previous_next_button {
    my $class = shift;

    my($maxitem, $nbinlist, $totalrows, $startfrom, $url, $ccid) = @_;

    ######################################
    ### do the [PREVIOUS][NEXT] page magic
    ###
    my $nf="";
    $startfrom ||= 0;
    my $previousfrom = $startfrom - $maxitem;
    my ($previousmsg, $nextmsg, $firstmsg, $lastmsg);
    my $entries;

    ## BUTTON FIRST
    if ($startfrom ==0) { # we are already at the 1st msg so we disable the button
    $firstmsg="First";
    } else {
    $firstmsg="<a class='prevnextbar' href='".Metadotclass->make_url("$url&amp;from=0&amp;nb=$maxitem&amp;ccid=$ccid")."'>First</a>";
    }

    ## BUTTON LAST
    if($startfrom+$maxitem >= $totalrows){ # we are already at the last screen so we disable the button
    $lastmsg="Last";
    } else {

    my $lastone = $totalrows - $maxitem;
    $url = "" unless $url;
    $ccid = "" unless $ccid;
    $lastmsg = "<a class='prevnextbar' href='".Metadotclass->make_url("$url&amp;from=$lastone&amp;nb=$maxitem&amp;ccid=$ccid")."'>Last</a>";
    }

    # BUTTON PREVIOUS
    if ($previousfrom>=0){
    $previousmsg="<a class='prevnextbar' href='".Metadotclass->make_url("$url&amp;from=$previousfrom&amp;nb=$maxitem&amp;ccid=$ccid")."'>Previous</a>";
    } else {
    $previousmsg="Previous";
    }

    # BUTTON NEXT
    my $nextfrom = $maxitem+$startfrom;
    if ($nbinlist >= $maxitem && ($nextfrom < $totalrows)){
    $nextmsg="<a class='prevnextbar' href='".Metadotclass->make_url("$url&amp;from=$nextfrom&amp;nb=$maxitem&amp;ccid=$ccid")."'>Next</a>";
    } else {
    $nextmsg="Next";
    }

    # Build message
    my $from = $startfrom +1;
    my $to   = $from -1 + $nbinlist;
    $from = $to == 0 ? 0 : $from;
    if ($totalrows == 1) {
    $entries = "entry";
    } else {
    $entries = "entries";
    }
    my $m = "<i><b>Found $totalrows $entries<br />Showing [$from - $to]</b></i>";
    $nf="\n\n<center><table border=\"0\" cellpadding=\"5\" cellspacing=\"5\" WIDTH='100%'><tr><td>$m</td><td class='prevnextbar' align='right'>[ \n$firstmsg&nbsp;&nbsp;$previousmsg&nbsp;&nbsp;$nextmsg&nbsp;&nbsp;$lastmsg ]\n</td></tr></table></center>";


    ### end of the magic thing.
    ######################################
    return $nf;

}

1;


__END__

=head1 NAME

=head1 SYNOPSIS

=head1 DESCRIPTION

=cut
