###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package HTML::TableFrame;

use strict;

sub new {
    my ($proto, $frame_color, $bgcolor, $width) = @_;
    my $class = ref($proto) || $proto;

    my $self = {};

    bless($self, $class);


    if ($frame_color) {
    $self->set_frame_color($frame_color);
    } else {
    $self->set_frame_color('#000000');
    }

    if ($bgcolor) {
    $self->set_bgcolor($bgcolor);
    } else {
    $self->set_bgcolor('#cccccc');
    }
    if ($width) {
    $self->set_width($width);
    }

    return $self;
}

sub add {
    my $self = shift;
    $self->{'TEXT'} .= shift;
}

sub get_text {
    my $self = shift;
    return $self->{'TEXT'};
}

sub set_frame_color {
    my $self = shift;
    $self->{'FRAME_COLOR'} = shift;
}

sub get_frame_color {
    my $self = shift;
    return $self->{'FRAME_COLOR'};
}

sub set_bgcolor {
    my $self = shift;
    $self->{'BGCOLOR'} = shift;
}

sub get_bgcolor {
    my $self = shift;
    return $self->{'BGCOLOR'};
}

sub set_width {
    my $self = shift;
    $self->{'WIDTH'} = shift;
}

sub get_width {
    my $self = shift;
    return $self->{'WIDTH'};
}

sub print {
    my $self = shift;

    my $rs = "<table ";
    if ($self->get_width()) {
    $rs .= "width=\"" . $self->get_width() . "\" ";
    }
    $rs .= "bgcolor=\"" . $self->get_frame_color() . "\" cellspacing=\"0\" cellpadding=\"1\" border=\"0\"><tr><td>";
    $rs .= "<table width=\"100%\" bgcolor=\"" . $self->get_bgcolor() . "\" cellspacing=\"0\" cellpadding=\"3\" border=\"0\"><tr><td>";

    $rs .= $self->get_text();

    $rs .= "</td></tr></table>";
    $rs .= "</td></tr></table>";
}

1;



__END__

=head1 NAME

=head1 SYNOPSIS

=head1 DESCRIPTION

=cut
