###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Verify;

use strict;

#
# These are all classwide methods
#
###################################################
sub getAppTags {

    my @approvedtags = ('B','I','P .*','P','A',
            'LI','OL','UL','EM','BR',
            'STRONG','BLOCKQUOTE',
            'HR','DIV .*','DIV','TT'
            );
    return @approvedtags;
}

###################################################
sub stripByMode {
    my($self, $str, $fmode, @apptag)=@_;

    $str=stripBadHTML($str,@apptag);

        if($fmode eq "plaintext" || $fmode eq "exttrans") {
                $str=~s/[\n]/<br \/>/gi;        # pp breaks
                $str=~s/\<br\>\<br\><br\>/<br \/><br \/>/gi;
        } elsif($fmode eq "exttrans") {
                $str=~s/\&/&amp;/g;
                $str=~s/\</&lt;/g;
                $str=~s/\>/&gt;/g;
        } elsif($fmode eq "nohtml") {
        $str=~s/\<(.*?)\>//g;
    }

    return $str;
}

#aju
# Remove HTML from text as part of a search
sub removeH {
    my ($class, $value) = @_;
    return $value unless defined($value);
#    $value =~ s/<(?:[^>'"]*|(['"]).*?\1)*>//gs;
#   The regex below is simplistic, but the one above caused infinite loops.
    $value =~ s/<(.*?)>//gsi;
    return $value;
}


###################################################
sub stripBadHTML {
    my ($self, $str, @apptag)=@_;

    $str =~ s/(\S{90})/$1 /g;
    $str =~ s/<(?!.*?>)//;
    $str =~ s/<(.*?)>/_approveTag($1,@apptag)/sge; #replace tags with approved ones
    return $str;
}
###################################################
sub _approveTag {
        my ($tag,@apptag) = @_;

        $tag =~ s/^\s*?(.*)\s*?$/$1/e; #trim leading and trailing spaces

        if (uc(substr ($tag, 0, 2)) eq 'A ')
        {
                $tag =~ s/^.*?href="?(.*?)"?$/A HREF="$1"/i; #enforce "s
                return "<" . $tag . ">";
        }

        foreach my $goodtag (@apptag)
        {
                $tag = uc $tag;
                if ($tag eq $goodtag || $tag eq '/' . $goodtag)
                        {return "<" . $tag . ">";}
                #check against my list of tags
        }
        return "";
}

1;


__END__

=head1 NAME

=head1 SYNOPSIS

=head1 DESCRIPTION

=cut
