###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Metadot::AbstractGizmoContainer;



# this gets a list of the container's children.
sub get_children {
    my $self = shift;
    my $args = shift;

    die ('Abstract method');
}


# this accepts a list of objects and adds them to the container.
sub add_children {
    my $self        = shift;
    my $child_list  = shift;
    my $args        = shift;

    die ('Abstract method');

}


# Must override the delete method so that the Container provides some handling of
# its children.
sub delete {
    my $self = shift;

    die ('Abstract method');
}


# Event listener for when a child is deleted
sub on_child_deletion {
    my $self       = shift;
    my $child_list = shift;

    die ('Abstract method');
}


# returns true if the instance is a container of the supplied instance
sub is_container_of {
    my $self = shift;
    my $child = shift;

    die ('Abstract method');
}



# returns a list of allowed child types. null or empty list means all child types are allowed
sub child_types {
    my $self = shift;

    die ('Abstract method');
}



# returns boolean based on whether a child type is allowed by the container
sub is_child_type_allowed {
    my $self = shift;
    my $child_type = shift || die("Must specify a child type");

    die ('Abstract method');
}




# for the new Gizmo3000, each child defers to its parent hierarchy
# for controls.
sub get_edit_controls_for_child {
    my $self    = shift;
    my $child   = shift;
    my $visited = shift || {};  # prevents looping

    die ('Abstract method');
}

















1;
