###########################################################################
# <LICENSEINFO>
# Metadot SmartSite Server
# Copyright (C) 2001 Metadot Corporation
#
# For more information go to
# http://www.metadot.com
# or contact us at info@metadot.com
#
#</LICENSEINFO>
############################################################################

# This AccessBroker is a STRATEGY access broker. It will return true if the
# 'allow_group_mgr_register_users' PARAM is set to true, AND if the user
# is a Group Manager or Group Owner, and return false if not.

package Metadot::AccessBroker::GroupManagerRegisterUserStrategy;
use strict;

use Metadot qw($USER %FORM $SESSION $HTTP_HEADER_SENT $PARAMS $DISPLAY $CACHE);
use MetadotConfig;
use vars qw(@ISA);
use Metadot::AccessBroker::GroupManagerStrategy;
@ISA = qw(Metadot::AccessBroker::GroupManagerStrategy);

# this is a singleton;
my $self = {};


sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;

    bless ($self, $class);

    return $self;
}


sub is_allowed_to_do {
    my $self = shift;
    my $op = shift || die "must provide operation name";
    my $user = shift || $USER;

    my $result = 0;

    if ($PARAMS->{'allow_group_mgr_register_users'}) {
        $result = $self->SUPER::is_allowed_to_do($op, $user);
    }

    $DISPLAY->debug_msg(4, "AccessBroker->is_allowed_to_do($op) yields '$result'");
    return $result;
}



1;
