###########################################################################
# <LICENSEINFO>
# Metadot SmartSite Server                                                                      
# Copyright (C) 2001 Metadot Corporation                                                        
#                                                                                               
# For more information go to                                                                    
# http://www.metadot.com                                                                        
# or contact us at info@metadot.com                                                             
#                                                                                               
#</LICENSEINFO>
############################################################################

# This AccessBroker is a STRATEGY access broker. It will always return
# true if the user is a Group Manager or Group Owner, and return false if not.

package Metadot::AccessBroker::GroupManagerStrategy;
use strict;

use Metadot qw($USER %FORM $SESSION $HTTP_HEADER_SENT $PARAMS $DISPLAY $CACHE);
use MetadotConfig;

# this is a singleton;
my $self = {};


sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;

    bless ($self, $class);

    return $self;
}


sub is_allowed_to_do {
    my $self = shift;
    my $op = shift || die "must provide operation name";
    my $user = shift || $USER;
    
    my $result = 0;

    my @groups = (Group->groups_managed_by_user($USER->{'uid'}), Group->groups_owned_by_user($USER->{'uid'}));
    $result = (@groups);
    #print STDERR "AccessBroker->is_allowed_to_do($op) yields '$result'\n";
    return $result;
}



1;
