###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Metadot::AgentMessage;

use strict;

use DBAccess;

# Class method.
# Provides a way to post messages for metadot remote agents if
# the 'message blackboard' db is directly accessible.
# Does not provide full agent 'message handling' support.
# Requires the AGENT_MESSAGE table to exist in the db with the
# expected fields.  This method must change if the AGENT_MESSAGE
# table changes.
sub post_agent_message {
    my ($class, $msgtype, $sender, $receiver, $content) = @_;

    my $msgid = "$sender." . time;

    my $db_now = Utility->db_now();
    DBAccess->get_db_object->sqlInsert("agent_message",
            msg_type     => $msgtype,
            sender       => $sender,
            receiver     => $receiver,
            namespace    => $receiver,
            msgid        => $msgid,
            content      => $content,
            time_sent    => $db_now,
            time_posted  => $db_now
            );
}

1;
