###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Metadot::Authenticate;


use DBAccess;
use Metadot::SessionHandlerFactory;
my $CREATE_SESSION = 1;
my $DELETE_SESSION = 2;

sub new {
    my $proto = shift;
    my $class = ref{$proto} || $proto;
    my $self = {};

    bless ($self, $class);
    return $self;
}


sub authenticate {
    my $self = shift;
    my $user = undef;
    my $session = undef;

    my $session_handler = Metadot::SessionHandlerFactory->get_session_handler();
    my $action = $self->determine_action();
    if ($action == $CREATE_SESSION) {
       $session = $self->create_session();
     $session_handler->persist_session($session);
}
#    } elsif ($action == $DELETE_SESSION) {
#         $session_handler->delete_session();
#    }
#   unless ($session) {
#       $session = $session_handler->lookup_session();
#   }
#   $user = $self->lookup_user($session);
#    return ($user, $session);
}


sub determine_action {
  die "abstract, must be overridden";
}


sub create_session {
  die "abstract, must be overridden";
}


sub lookup_user {
  die "abstract, must be overridden";
}


sub get_CREATE_SESSION {
    my $self = shift;
    #print STDERR "Metadot::Authenticate::get_CREATE_SESSION, create_session is $CREATE_SESSION\n";
    return $CREATE_SESSION;
}

sub get_DELETE_SESSION {
    return $DELETE_SESSION;
}

