package Metadot::Authenticate::user_pass;
use Metadot::Authenticate;
use ParamsHash;
use Portal;
use DBAccess;

use Metadot qw(%FORM);

@ISA=qw(Metadot::Authenticate);

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = {};
    
    bless ($self, $class);
    return $self;
}


sub determine_action {
    my $self = shift;
    #print STDERR "I got to Metadot::Authenticate::user_pass::determine_action.  ";
   if ($FORM{op} eq 'login_check') {
	return $self->SUPER::get_CREATE_SESSION;	
    } elsif (($FORM{op} eq 'logout') || (($FORM{op} eq 'login') && ($FORM{notyou}))) {
        return $self->SUPER::get_DELETE_SESSION;
     }  

    return 0;
    
}


sub create_session {
    my $self = shift;
    my $email = $FORM{email};
    my $password = $FORM{password};
    my ($uid, $approval_needed) = $self->check_login($email, $password);
    
    #print STDERR "I got to Metadot::Authenticate::user_pass::create_session with a uid of $uid and an approval_needed of $approval_needed\n";
    
    my $session = Session->new();
    $session->add($uid);
    return $session;
}

sub lookup_user {
    #print STDERR "I got to Metadot::Authenticate::user_pass::lookup_user";
    return 1;
}

sub check_login {
    my $self = shift;
    my ($email, $password) = @_;
    
    my $params = ParamsHash->begin();
    $password = Portal->encrypt_password_if_necessary($password));
    $password = DBAccess->quote($password);
    my ($resuid, $approvalneeded) = DBAccess->sqlSelect("uid, approvalneeded", "user", "email=".DBAccess->quote($email)." and password = ".DBAccess->quote($password));   #secu_200401

    if ($resuid) {
        #print STDERR "Metadot::Authenticate::user_pass::check_login::  returning uid of $resuid\n";
        return ($resuid, $approvalneeded);
    } else {
        return 0;
    }
    
}    



    
