###########################################################################
# <LICENSEINFO>
# Metadot SmartSite Server                                                                      
# Copyright (C) 2001 Metadot Corporation                                                        
#                                                                                               
# For more information go to                                                                    
# http://www.metadot.com                                                                        
# or contact us at info@metadot.com                                                             
#                                                                                               
#</LICENSEINFO>
############################################################################

package Metadot::Authenticator::HeaderBasedAuthenticator;
use strict;

use Metadot qw( $USER $SESSION %FORM $PARAMS );
use MetadotConfig;
use Metadot::Authenticator::SingleSignonAuthenticator;
use Utility;

use vars qw(@ISA);
@ISA=qw( Metadot::Authenticator::SingleSignonAuthenticator );

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self  = $class->SUPER::new();
    return bless($self, $class);
}


sub authenticate {
    my $self = shift;

    my ($user, $session) = $self->SUPER::authenticate();

# This is experimental code. It does not work 100%. Current issues:
# - if the URL is typed in, and it's a new session, the FORM params are incomplete

#     # if the user has a custom homepage, and we detect a new login,
#     # redirect the user.
#     if ($user->can('get_user_defined_homepage')) {
#         my $homepage = $user->get_user_defined_homepage();
#         my $referer = $session->{referer};
#
#         print STDERR "Referer: $referer\nHomepage: $homepage\n\n";
#         if ($homepage) {
#             my $basename =$PARAMS->{basename};
#             print STDERR "Checking referer against $basename\n";
#             # if the referrer was internal, this is not a new login
#             unless ($referer =~ m/^\Q$basename\E/i )
#             {
#                 print STDERR "Referer was external. Checking form parameters\n";
#
#                 # if there is a $FORM{iid} or $FORM{id} or $FORM{isa}, then we
#                 # do not go to the homepage
#                 use Data::Dumper;
#                 print STDERR Dumper \%FORM;
#                 print STDERR "iid = '$FORM{iid}$FORM{id}'; isa = '$FORM{isa}'\n";
#                 unless ($FORM{isa} || $FORM{id} || $FORM{iid}) {
#                     print STDERR "No usable form parameters. Will forward to homepage.\n";
#                     my $target = Utility->get_qualified_url("$homepage");
#                     $self->authorize($target);
#                 }
#             }
#         } else {
#             print STDERR "Custom home page not defined for this user.\n";
#         }
#     }

    return ($user, $session);
}

sub determine_action {
    return undef;
}



1;

__END__

