###########################################################################
# <LICENSEINFO>
# Metadot SmartSite Server                                                                      
# Copyright (C) 2001 Metadot Corporation                                                        
#                                                                                               
# For more information go to                                                                    
# http://www.metadot.com                                                                        
# or contact us at info@metadot.com                                                             
#                                                                                               
#</LICENSEINFO>
############################################################################

# An interface that defines a Metadot::Authenticator class as using an
# external Single-Signon (SSO) mechanism, such as RSA ClearTrust or
# Netegrity SiteMinder
package Metadot::Authenticator::SingleSignonAuthenticator;

use strict;
use MetadotConfig;
use Metadot::Authenticator::BaseAuthenticator;

use vars qw(@ISA);
@ISA = qw( Metadot::Authenticator::BaseAuthenticator );

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self  = $class->SUPER::new();
    return bless($self, $class);
}




sub get_logout_url {
    return MetadotConfig->get_param_value('sso_logout_url');
}

sub get_login_url {
    return MetadotConfig->get_param_value('sso_login_url');
}





1;
