###########################################################################
# <LICENSEINFO>
# Metadot SmartSite Server                                                                      
# Copyright (C) 2001 Metadot Corporation                                                        
#                                                                                               
# For more information go to                                                                    
# http://www.metadot.com                                                                        
# or contact us at info@metadot.com                                                             
#                                                                                               
#</LICENSEINFO>
############################################################################

# An interface to allow a Gizmo to be serviced by the MetadotController.
# You should use this if you want a class to display using skin templates.

package Metadot::Controllable;

use strict;

use constant EXEC_METHOD_BASE           => 'exec_';
use constant _RESPONSE_SHOW_FULL_       => 'show_full';
use constant _RESPONSE_SHOW_SUMMARY_    => 'show_summary';

# each of the exec_ methods responds to a different op
sub exec_show {
    my $self    = shift;
    my $context = shift;

    return _RESPONSE_SHOW_FULL_;
}

sub exec_show_summary {
    my $self    = shift;
    my $context = shift;

    return _RESPONSE_SHOW_SUMMARY_;
}

sub exec_show_in_column {
    my $self    = shift;
    my $context = shift;

    return $self->exec_show_summary($context);
}

# return true if a gizmo class allows processing of user template directives
sub processes_user_directives {
    return 1;
}


# return true if an exec_ response can contain raw html
# THIS IS DEPRECATED AND THE VALUE IS ALWAYS ASSUMED TO BE 1
sub response_may_contain_content {
    my $class = shift;
    return 1;
}





1;
