package Metadot::Form3000::Fields::PasswordField;

use strict;

use Metadot qw(%FORM);
use Metadot::Form3000::Fields::BaseFormField;

use vars qw(@ISA);

@ISA = qw(Metadot::Form3000::Fields::BaseFormField);

use constant MO_INSTANCE_PROPERTIES => {
    template    => 'password_field.tt2',
    size        => undef,
    max_length  => undef,
};


sub validate_input {
    my $self = shift;
    my $args = shift || {};

    my $input = $args->{input} || {};
    my $value = $args->{value};
    my $field = $args->{field} || $self;

    if (!defined $value) {
        $value = $self->get_raw_input($input);
    }

    my $error = undef;
    if ($value ne $self->get_raw_input($input, $self->confirmation_field_name())) {
        $error = $self->label.' fields did not match';
    }

    return $error || $self->SUPER::validate_input($args);
}



# the name of the field used for displaying the password confirmation
sub confirmation_field_name {
    my $self = shift;
    return $self->name(). '_confirm';
}






1;
