package Metadot::Form3000::PropertySettings::PropertySettingFactory;

use strict;

use Metadot qw($DISPLAY);

# the factory method
sub get_instance {
    my $class = shift;
    my $args  = shift || {};

    my $target_class = $class->get_mapped_class($args->{type});
    $DISPLAY->debug_msg(5, $class."->get_instance has target class '$target_class'");
    my $filename = Utility->package_to_filename($target_class);
    eval {
        $DISPLAY->debug_msg(5, $class."->get_instance tried '$filename'");
        require $filename;
    };
    if ($@) {
        die("FormFieldFactory encountered an error evaluating '$target_class'\n",$@);
    }

    my $result = $target_class->new($args);
    $DISPLAY->debug_msg(5, $class."->get_instance returned $result");
    return $result;
}


# given a mapping name, returns the Metadot::User::User3000::PropertySettings class
sub get_mapped_class {
    my $class = shift;
    my $mapping_name = shift;

    return 'Metadot::Form3000::PropertySettings::BasePropertySettingsControl';
}





1;
