###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Metadot::FormDivPopup;

use strict;

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = {};

    bless ($self, $class);
    return $self;
}

sub get_div_popup_scripts {
    my $class = shift;
    return "
<script LANGUAGE=\"Javascript\" SRC=\"/js/AnchorPosition.js\"></SCRIPT>
<script LANGUAGE=\"Javascript\" SRC=\"/js/PopupWindow.js\"></SCRIPT>
";
}

sub get_text_div_popup {
    my $self = shift;
    my %args = @_;

    my $name        = $args{name}  || 'name';
    my $value       = $args{value} || 'n/a';
    my $link_text   = $args{link_text} || 'popup';

    $value = quotemeta($value);

    my $s = <<EOF;
<script language="JavaScript">
// Create PopupWindow object
var testpopup$name = new PopupWindow("testdiv$name");
testpopup$name.offsetY = 25;
testpopup$name.autoHide();

function popup$name(anchorname) {
    testpopup$name.populate("$value");
    testpopup$name.showPopup(anchorname);
}
</script>

    <a href="#" onclick="popup$name('anchor$name');return false;" name="anchor$name" id="anchor$name">$link_text</a>
    <div id="testdiv$name" style="position: absolute; background-color: #ffe; visibility: hidden; padding: 3px 2px 3px 2px; border: 1px solid black"></div>
EOF
;
     return $s;
}

1;
