#######################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################

package Metadot::Gizmo3000::EditControl;

# Represents a run-time edit control


use strict;

use MetadotObject;

use vars qw(@ISA);
@ISA = qw(MetadotObject);


use constant MO_INSTANCE_PROPERTIES => {
    operation    => undef,  # the operation to be performed
    actor_class  => undef,  # the class of the object performing the action
    actor_iid    => undef,  # the iid   of the object performing the action
    target_class => undef,  # the class[es] of the action's target
    target_iid   => undef,  # the iid[s] of the action's target
    icon_url     => undef,  # the URL, if any, of the icon to be used
    description  => undef,  # the description of the action

    arguments    => undef,  # any arguments that this control needs
    };


sub initialize {
    my $self = shift;
    my $args = shift;

    $self->SUPER::initialize($args);
    $self->arguments({}) unless defined($self->arguments());
}


sub render_html {
    die("Abstract method");
}









1;
