##########description#################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Metadot::JSForm::ExampleClass ;
use strict ;

use Metadot::JSFormFactory ;
use Metadot::JSForm ;

####################################
sub new {
    my $proto = shift ;
    my $class = ref($proto) || $proto ;
    my $self = {} ;

    bless ($self, $class);        # reconsecrate
    $self->{jsform} = Metadot::JSFormFactory->get_jsform() ;
    return $self;
}

sub generate {
    my $self = shift ;
    my $jsform = $self->{jsform} ;
    my $form = "<form action=\"index.pl\" method=\"post\" ENCTYPE=\"multipart/form-data\">" ;
    my $form1 = "<form action=\"index.pl\" method=\"post\" ENCTYPE=\"multipart/form-data\">" ;

    $jsform->reset_form() ;
    $jsform->add_check_simple("fname", "First Name") ;
    $jsform->add_check_simple("email", "E'mail", "email") ;

    my $content = $jsform->get_form($form, $jsform->get_ALL_ERRORS()) ;
    $content .= "<input type='hidden' name='op' value='save'>
<input type='hidden' name='isa' value='isa'>
<input type='hidden' name='iid' value='iid'>
<input type='hidden' name='target' value='target'>
<table align='right'><tr><td><input type='submit' value='Save'></td></tr></table>
<input type=text name=fname>
<br />
<input type=text name=email>
<table align='right'><tr><td><input type='submit' value='Save'></td></tr></table>
<br />&nbsp;
</form>
";

    $content .= "<br /><br /><br />" ;

    $jsform->reset_form() ;
    my $fields = [
        { name => "fname", label_text => "First Name", check_type => "notempty"},
        { name => "file1", label_text => "File to upload", check_type => "notempty"},
        { name => "new_field12", label_text => "E'mail", check_type => "email"},
    ] ;
    $jsform->add_check_array($fields) ;
    $content .= $jsform->get_form($form1, $jsform->get_ONE_ERROR()) ;
    $content .= "<input type='hidden' name='op' value='save'>
<input type='hidden' name='isa' value='isa'>
<input type='hidden' name='hidden_field' value=''>
<input type='hidden' name='target' value='target'>
<table align='right'><tr><td><input type='submit' value='Save'></td></tr></table>
<input type=text name=fname>
<br />
<input type=file name=file1>
<br />
<input type=text name=new_field12>
<table align='right'><tr><td><input type='submit' value='Save'></td></tr></table>
<br />&nbsp;
</form>
";

    return $content ;
}

sub is_a {
    my $self = shift ;
    return "LiClass" ;
}


1;

__END__
