###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Metadot::JSForm::Filter::Focus ;
use strict;

use Metadot qw ($PARAMS) ;

use vars qw(@ISA) ;
@ISA=qw(Metadot::JSForm::Filter) ;

#########################################################
##  Class Variables
#########################################################
my $CONFIG = {
    # http://, https:// or imageslocation-relative path
    libfile_location => "js/jsform/filter/focus.js",
} ;

#########################################################
##  Constructor
#########################################################
sub new {
    my $proto = shift ;
    my $class = __PACKAGE__ ;
    my $self = {} ;
    $self  = $class->SUPER::new(@_) ;

    bless ($self, $class) ;
    return $self ;
}

#########################################################
##  Private Methods
#########################################################

#### overridden methods
sub CAN_BE_NUMBER_N_IN_CHAIN {
    my $class = shift ;
    my $number = shift ;
    return ($number == 0) ? 0 : 1 ;
}
sub _handle_form_html {
    my $self = shift ;
    my $form_html = shift ;
    return $form_html ;
}
sub _get_library_js {
    my $self = shift ;
    return "" ;
}
sub _get_initialize_js {
    my $self = shift ;
    my $output = "" ;

    $output .= "\n var focus_error_element = null ; " ;

    return $output ;
}
sub _get_final_js {
    my $self = shift ;
    my $output = "\n if (focus_error_element != null) { focus_error_element.focus() ; } " ;
    return $output ;
}

sub _get_start_js_for_check {
    my $self = shift ;
    my $check = shift || return "" ;
    my $name = $check->{name} ;

    my $output = "\n focus_error_element = (focus_error_element == null && theForm.".$name." != null) ? theForm.".$name." : focus_error_element ; " ;
    return $output ;
}

sub _get_end_js_for_check {
    my $self = shift ;
    return "" ;
}

#### filter-specific methods
# none

1;
