package Metadot::MRU;




sub new {
    my $proto = shift;
    my $self = {};
    my $class = __PACKAGE__;
    $self->{'name'} = shift || "";
    $self->{'max_size'} = "";
    $self->{'current_size'} = 0;
    $self->{'values'} = undef;
    $self->{'first'} = undef;
    $self->{'last'} = undef;
    bless ($self, $class);
    return $self;

}

sub current_status {
    my $self = shift;
    my @ids = sort keys %{$self->{'values'}};
    $s = "gizmos stored are @ids";
    return $s;
    
}


sub set_name {
    my $self = shift;
    my $name = shift;
    $self->{'name'} = $name;
    
}

sub get_name {
    my $self = shift;
    return $self->{'name'};
}


sub set_current_size {
    my $self = shift;
    $self->{'current_size'} = shift;
}

sub get_current_size {
    my $self = shift;
    return $self->{'current_size'};
}

sub set_max_size {
    my $self = shift;
    $self->{'max_size'} = shift;
}

sub get_max_size {
    my $self = shift;
    return $self->{'max_size'};
}

sub get_first {
    my $self = shift;
    return $self->{'first'};
}

sub get_last {
    my $self = shift;
    return $self->{'last'};
}

sub _set_last {
    my $self = shift;
    $self->{'last'} = shift;
}

sub get_item {
    my $self = shift;
    my $name = shift;
# uncomment to disable cache operation
    return undef;
    if (exists $self->{'values'}->{$name}) {
        my $value = $self->{'values'}->{$name}->{'value'};
        unless ($name eq $self->get_first()) {
            $self->_remove_from_linked_list($name);
            $self->_set_first($name);
        }
        return $value;
    } else {
        return undef;
    }
    
}

sub _remove_from_linked_list {
    my $self = shift;
    my $name = shift;
    if ($name eq $self->get_last()) {
        $self->_set_last($self->{'values'}->{$name}->{'llink'});
        return;
    }
    my $llink = $self->{'values'}->{$name}->{'llink'};
    my $rlink = $self->{'values'}->{$name}->{'rlink'};
    $self->{'values'}->{$llink}->{'rlink'} = $rlink;
    $self->{'values'}->{$rlink}->{'llink'} = $llink;
}


sub add_item {
    my $self = shift;
# uncomment to disable cache operation
    return undef;
    my $name = shift;
    my $value = shift;
    $self->{'values'}->{$name}->{'value'} = $value;
    $self->_set_first($name);
    $self->set_current_size($self->get_current_size() + 1);
    if ($self->get_current_size() == 1) {
        $self->_set_last($name);
    } else {
        $self->_chop_as_needed();
    }
    
}

sub _set_first {
    my $self = shift;
    my $name = shift;
    my $current_first_value = $self->get_first();
    $self->{'first'} = $name;
    return unless defined $current_first_value;
    if ($self->get_current_size() > 0) {
        $self->{'values'}->{$current_first_value}->{'llink'} = $name;
        $self->{'values'}->{$name}->{'rlink'} = $current_first_value;
    }
    
}

sub _chop_as_needed {
    my $self = shift;
    while ($self->{'current_size'} > $self->{'max_size'}){
        my $last = $self->get_last();
        $self->_remove_from_linked_list($last);
        $self->_remove_from_hash($last);
    }
}

sub _remove_from_hash {
    my $self = shift;
    my $name = shift;

    delete $self->{'values'}->{$name};
    $self->{'current_size'} = $self->{'current_size'} -1;
    
}
        
       
1;
