###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################

# IMPORTANT: The objects being accessed by ObjectAccessor must implement the
#            Restorable interface, and must know how to use the Memento interface.
#            ObjectAccessor differs from the classic Memento pattern's Caretaker
#            interface, in that it has a transparent view of the Memento objects.




package Metadot::ObjectAccess::Restorable;
use strict;
use Metadot::ObjectAccess::Memento;

# implement the code necessary to restore the object's state from a Memento object
sub restore_state {
    my ($self, $state) = @_;
    die ("Abstract method");
    die unless $state->isa('Metadot::ObjectAccess::Memento');
}

# implement the code necessary to extract the object's state to a Memento object
sub extract_state {
    my $self = shift;
    die ("Abstract method");
    my $state = Metadot::ObjectAccess::Memento->new();
    return $state;
}


# Allows the restorable class to give the restorer a hint about this memento's class,
# in case it doesn't know. This method is optional.
sub determine_class_from_memento {
}




1;
