###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################

# Allows objects to cache information in the REQUEST_VARS
package Metadot::RequestCache;
use strict;

use Metadot qw( %REQUEST_VARS );


sub check_cache {
    my $class   = shift;
    my $key     = shift || die("Must provide a key for the cache entry");

    my $cache_name = $class->_get_cache_name();
    my $result  = $REQUEST_VARS{$cache_name}{$key};

    #print STDERR "$class\->check_cache($key) returns '$result'\n";
    return $result;
}

sub update_cache {
    my $class   = shift;
    my $key     = shift || die("Must provide a key for the cache entry");
    my $result  = shift;

    my $cache_name = $class->_get_cache_name();
    $REQUEST_VARS{$cache_name}{$key} = $result;
    #print STDERR "$class\->update_cache($key) SETS '$result'\n";
}

sub drop_cache {
    my $class = shift;
    my $cache_name = $class->_get_cache_name();
    delete $REQUEST_VARS{$cache_name};
}

# returns the key for a given entry in the cache. MUST RETURN UNIQUE values
# for each possible case!
sub _generate_entry_key {
    die "Abstract method";
}

# returns the name of the cache. This MUST BE UNIQUE!
sub _get_cache_name {
    die "Abstract method";
}



1;
