###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################

# An interface for allowing objects to accept user responses

package Metadot::Respondable::AbstractResponse;

use strict;


# accessors, mutators
# ===================

# uniquely identifies this response
sub response_id {
    die('Abstract method');
}


# uniquely identifies the user who responded
sub user_id {
    die('Abstract method');
}


# uniquely identifies the instance to which the user responded
sub instance_id {
    die('Abstract method');
}



# Data Access methods
#=========================================

sub add {
    die('Abstract method');
}

sub restore {
    die('Abstract method');
}


sub save {
    die('Abstract method');
}


sub delete {
    die('Abstract method');
}








1;
