###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Metadot::SystemApp::AppObjectView;
use strict;

use Metadot::DataCollection;
use Metadot::SystemApp::AppObjectClass;
use Metadot::SystemApp::AppObjectField;

my %class_fields;

sub get_fields {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $class_name = shift;
    return undef unless $class_name;

    unless ($class_fields{$class_name}) {
        my $persistent_fields = Metadot::SystemApp::AppObjectClass->get_fields($class_name);
        my $fields = Metadot::DataCollection->new();
        my $view_class = $class_name."View";
        eval {
            $fields = $view_class->get_fields();
        };
        # if View class exists, $fields collection is not empty
        if ($fields->data_array_length() > 0) {
            return $fields;
        }
        # otherwise - return a collection of persistent fields
        else {
            foreach my $field_name (keys %{$persistent_fields}) {
                $persistent_fields->{$field_name}->{'key'} = $field_name;
                $fields->add(Metadot::SystemApp::AppObjectField->new($persistent_fields->{$field_name}));
            }
        };
        $class_fields{$class_name} = $fields;
    }

    return $class_fields{$class_name} ;
}

1;
