###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Metadot::SystemApp::EventLog::ReportGeneratorFactory;
use strict;

#we store in this hash the different instantiated report generator types.
#if we need a particular report generator type, we first check to see
#if it is in this hash
my %report_generators;

sub get_report_generator {
    my $class = shift;
    my $report_gen_type = MetadotConfig->get_param_value('event_log_report_generator') || 'Default';

    if ($report_generators{$report_gen_type}) {
        return $report_generators{$report_gen_type};
    } else {
        require "Metadot/SystemApp/EventLog/ReportGenerator/$report_gen_type.pm";
        my $rg = "Metadot::SystemApp::EventLog::ReportGenerator::$report_gen_type"->new();
        $report_generators{$report_gen_type} = $rg;
        return $rg;
    }
}

1;

__END__
