###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Metadot::User::X509User;
use strict;

use Metadot::User::FlexUser;

use vars qw(@ISA);

@ISA=qw(Metadot::User::FlexUser);

use constant SSO_FIELD => {
                        field_name      => 'ldap_dn',
                        is_required     => 1,
                        display_set     => 0,
                        max_length      => 1000,
                        description     => 'Single signon userid',
                        storage_type    => 'primary',
                        size            => 40,
                        };

sub get_fields_config {
    my $self = shift;

    my $result ={
        FIELDS => [],
    };

    # use SUPER's field config data, but replace password with ldap_dn
    my $super_config = $self->SUPER::get_fields_config();
    foreach my $key (keys(%$super_config)) {
        if ($key eq 'FIELDS') {
            my $super_fields = $super_config->{$key};
            for (my $i=0; defined($super_fields->[$i]); $i++) {
                my $field;
                my $super_field = $super_fields->[$i];
                if ($super_field->{field_name} eq 'password') {
                    # replace the password field
                    $field = SSO_FIELD;
                } else {
                    $field = $super_field;
                }
                push @{ $result->{FIELDS} }, $field;
            }
        } else {
            $result->{$key} = $super_config->{$key};
        }
    }

    return $result;
}



1;
