###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Metadot::Utils::DateTags;

use strict;

sub new {
        my ($class, $container_object) = @_;
        my $self = {};
        $self->{_CONTAINER_OBJECT}=$container_object;
        # $self->{_ERROR_HASH}=\%error_hash;
    $self->{Month_Names} = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
    $self->{Month_Abbrev} = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        $self->{Month_Days} = {
                "01" => "31",
                "02" => "28",
                "03" => "31",
                "04" => "30",
                "05" => "31",
                "06" => "30",
                "07" => "31",
                "08" => "31",
                "09" => "30",
                "10" => "31",
                "11" => "30",
                "12" => "31",
                };
    @{$self->{Times}} = localtime(time);
        bless ($self, $class);
        return $self;
}



sub get_curr_day {
    my $self = shift;

    return ++$self->{Times}[3];
}

sub get_curr_month {
    my $self = shift;
    my $option = shift || "number";

    my $month = $self->{Times}[4];

    if ($option eq "name") {
    return $self->{Month_Names}[$month];
    } elsif ($option eq "number") {
    if ($month < 10) {
        $month = "0".$month;
    }
    return $month;
    } elsif ($option eq "abbrev") {
    return $self->{Month_Abbrev}[$month];
    } else {
    return "";
    }
}

sub get_curr_year {
    my $self = shift;

    return $self->{Times}[5] + 1900;
}

sub get_named_month {
    my ($self, $index) = @_;

    $index--;
     return $self->{Month_Names}[$index];
}

sub named_month_select_tag {
    my $self = shift;
    my $name = shift;
    my $default_mon = shift || $self->get_curr_month("name");
    my $size = shift || undef;
    my $i = 1;

    my $rs = "<select name=$name ";
    $rs .= "size=$size " if (defined $size);
    $rs .= ">\n";

    foreach my $mon (@{$self->{Month_Names}}) {
    $rs .= "<option value=".$i++. " ";
    $rs .= "selected" if ($default_mon eq $mon);
    $rs .= ">$mon</option>\n";
    }
    $rs .= "</select>\n";
    return $rs;
}

sub numeric_month_select_tag {
    my $self = shift;
    my $name = shift;
       my $default_mon = shift || $self->get_curr_month("number");
    my $size = shift || undef;
    my $i = 1;

    my $rs = "<select name=$name ";
    $rs .= "size=$size " if (defined $size);
    $rs .= ">\n";

    for (my $i=1; $i < 13; $i++) {
    $rs .= "<option value=".$i. " ";
    $rs .= "selected" if ($default_mon eq $i);
    $rs .= ">$i</option>\n";
    }
    $rs .= "</select>\n";
    return $rs;
}

sub abbrev_month_select_tag {
    my $self = shift;
        my $name = shift;
       my $default_mon = shift || $self->get_curr_month("abbrev");
    my $size = shift || undef;
    my $i = 1;

    my $rs = "<select name=$name ";
    $rs .= "size=$size " if (defined $size);
    $rs .= ">\n";

    foreach my $mon (@{$self->{Month_Abbrev}}) {
    $rs .= "<option value=".$i++. " ";
    $rs .= "selected" if ($default_mon eq $mon);
    $rs .= ">$mon</option>\n";
    }
    $rs .= "</select>\n";
    return $rs;
}

sub day_select_tag {
    my $self = shift;
    my $name = shift;
    my $default_day = shift || $self->get_curr_day();
    my $size = shift || undef;

        my $rs = "<select name=$name ";
    $rs .= "size=$size " if (defined $size);
    $rs .= ">\n";

    for (my $i = 1; $i < 32; $i++) {
    $rs .= "<option value=".$i. " ";
    $rs .= "selected" if ($default_day eq $i || $default_day eq "0$i");
    $rs .= ">". $i ."</option>\n";
    }
    $rs .= "</select>\n";
    return $rs;
}

#
sub year_select_tag {
    my $self = shift;
    my $name = shift;
    my $default_year = shift || $self->get_curr_year();
    my $begin_year = shift || $self->get_curr_year();
    my $span = shift || 10;
    my $size = shift || undef;

        my $rs = "<select name=$name ";
    for (my $i = $begin_year; $i < ($begin_year + $span); $i++) {
    $rs .= "<option value=".$i. " ";
    $rs .= "selected" if ($default_year eq $i);
    $rs .= ">$i</option>\n";
    }
    $rs .= "</select>\n";
    return $rs;
}




1;
