###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Revision: 5.2.2.3 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
# $Revision: 5.2.2.3 $

# HTMLAreaV2Display allows one to return to using HTML Area version 2

package Metadot::Utils::HTMLAreaV2Display;

use strict;
use vars qw(@ISA);

use Metadot::Utils::TransitionalDisplay;
use MetadotConfig;

@ISA = qw(Metadot::Utils::TransitionalDisplay);


sub display_wysiwyg_field {
    my $self = shift;
    my $args = shift;

    return $self->display_htmlarea_field($args);
}


sub display_htmlarea_field {
    my $self = shift;
    my $args = shift;

    my $field_name  = $args->{field_name};
    my $field_value = $args->{field_value};

    return '' unless $field_name;

    my $field_id = "htmlarea_$field_name";
    $field_value = $CGI->escapeHTML($field_value);

    my $form_box = '';

    $form_box .= $self->show_site_library_link()."<textarea id=\"$field_id\" class=\"htmlarea\" name=\"$field_name\" style=\"width:100%\" rows='20' cols='80' WRAP=\"VIRTUAL\">$field_value</textarea>\n";
    $form_box .= $self->convert_field_to_htmlarea($field_id);

    return $form_box;
}


sub get_htmlarea_base_script {
    my $self = shift;
    my $editor_url = MetadotConfig->get_param_value('editor_url') || '/js/htmlarea2/';
    my $result = <<EOM
<script language="Javascript1.2"><!-- // load htmlarea
_editor_url = "$editor_url";                     // URL to htmlarea files
var win_ie_ver = parseFloat(navigator.appVersion.split("MSIE")[1]);
if (navigator.userAgent.indexOf('Mac')        >= 0) { win_ie_ver = 0; }
if (navigator.userAgent.indexOf('Windows CE') >= 0) { win_ie_ver = 0; }
if (navigator.userAgent.indexOf('Opera')      >= 0) { win_ie_ver = 0; }
if (win_ie_ver >= 5.5) {
  document.write('<scr' + 'ipt src="' +_editor_url+ 'editor.js"');
  document.write(' language="Javascript1.2"></scr' + 'ipt>');
} else { document.write('<scr'+'ipt>function editor_generate() { return false; }</scr'+'ipt>'); }
// --></script>
EOM
;
    return $result;
}


sub convert_field_to_htmlarea {
    my $self = shift;
    my $element_name = shift || die("Must specify the form element name");
    my $result = <<EOM
<script language="JavaScript1.2" defer>
editor_generate('$element_name');
</script>
EOM
;

    return $result;
}


1;
