###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################

package Metadot::Utils::HTMLEditors::XStandard;

use strict;

use Metadot qw($DISPLAY $CGI $PARAMS);
use Utility;
use Metadot::Utils::HTMLEditors::HTMLEditorBase;

use vars qw(@ISA);
@ISA = qw(Metadot::Utils::HTMLEditors::HTMLEditorBase);

sub generate_wysiwyg_field {
    my $class = shift;
    my $args  = shift;

    my $field_name  = $args->{field_name};
    my $field_value = $CGI->escapeHTML($args->{field_value});
    my $width       = $args->{width} || '100%';
    my $height      = $args->{height} || '400';

    return '' unless $field_name;
    my $field_id = 'xstandard_'.$field_name;

    my $result = '<div style="text-align: right">'.$DISPLAY->show_site_library_link().'</div>';

    $result .= <<EOM
    <object type="application/x-xstandard" id="$field_id" name="$field_name" width="$width" height="$height">
      <param name="Value" value="$field_value" />
      <param name="Base"  value="$PARAMS->{basename}" />
    </object>
EOM
;
}



1;
