###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Metadot::Utils::Search;
use Metadotclass;
use strict;
use DBAccess;

use vars qw(@ISA);
@ISA=qw(Metadotclass);

use Metadot qw($USER %FORM $SESSION $HTTP_HEADER_SENT $PARAMS $DISPLAY);


sub new {
    my $proto = shift;
    my $class = __PACKAGE__;
    my $self = {};

    bless ($self, $class);
    return $self;
}


sub show_project_portal {
    my $self = shift;
    my $portal_string = shift;
    my @category_names = split ("/", $portal_string);
    my $basename = $PARAMS->{'basename'};
    my @matching_iids = $self->get_matching_children("0", @category_names);
    if (scalar(@matching_iids) == 1) {
        Utility->md_redirect("$basename/index.pl?op=show&iid=$matching_iids[0]");
    } elsif (scalar(@matching_iids) > 1) {
        my @array = ("More than one match was found", "Caution");
        for (my $i = 1; scalar(@matching_iids) > 0; $i++) {
            push (@array, "Possible match number $i");
            push (@array, ("$basename/index.pl?op=show&iid=" . shift(@matching_iids)));
        }


        $DISPLAY->print_choices(@array);
    } else {
        $DISPLAY->print_choices("No match was found", "Caution", "Go to the home page", "$basename/index.pl");
    }


}

sub get_matching_children {
    my $self = shift;
    my $parent_iid = shift;
    my @remaining_names = @_;
    my @possible_iids;
    my $child_match = 0;

    $parent_iid = undef unless (Utility->is_valid_integer($parent_iid));    # secu_200401

    my $sth = DBAccess->sqlSelectMany("iid", "instance", "name = " . DBAccess->quote(shift(@remaining_names)) . " and parentiid = $parent_iid");  # secu_200401
    while (my ($iid) = $sth->fetchrow_array()) {

        my @child_iids;
        if (@remaining_names) {
            #print STDERR "there are remaing names, they are @remaining_names\n";
            @child_iids = $self->get_matching_children($iid, @remaining_names);
        }
        if ($child_iids[0]) { #this iid has children.
            if ($child_match == 0) {  #if no other iid has children yet, then clean out the possible iids, and set this as the first one
                @possible_iids = (@child_iids);
                $child_match = 1;
            } else { #otherwise just add it onto the possible iids
                @possible_iids = (@possible_iids, @child_iids);
            }
        } else { #this iid has no children
            if ($child_match == 1) { #if there already iids with children, then drop this one
            } else { #otherwise add it to the possible iids
                push (@possible_iids, $iid);
            }
        }


    }
    return @possible_iids;


}



1;
