###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
package Metadot::Utils::Theme;

use Template;

use Metadotclass;
use strict;
use DBAccess;

use vars qw(@ISA);
@ISA=qw(Metadotclass);

#use Metadot qw($USER %FORM $SESSION $HTTP_HEADER_SENT $PARAMS $DISPLAY);
use Metadot qw($PARAMS);


sub new {
    my $proto = shift;
    my $class = __PACKAGE__;
    my $self = {};

    bless ($self, $class);
    return $self;
}

# boolean; return whether or not to use theme info.  returns true if
# using templates and the 'template_theme' var is set.
sub use_theme_info {
    my ($class) = @_;

    my $global_look = $PARAMS->{'globallook'};
    my $theme = $PARAMS->{'template_theme'};
    if ($theme && ($theme ne 'null') && ($global_look eq 'usetemplate')) {
    return 1;
    }
    else {
    return 0;
    }
}

# right now the default 'background' color for all themes is light gray
sub get_theme_default_bg {
    my ($class) = @_;

    return 'EEEEEE';
}

#return the html for the style rules -- from the style template, instantiated
#with the theme's current values.
sub get_theme_style_html {
    my ($class) = @_;

    my $theme = $PARAMS->{'template_theme'};
    if (($theme eq 'theme1') || ($theme eq 'theme2')) {
    my $params = {};
    # then get style template
    # first build template data
    $params->{'nav_text_color'} = $PARAMS->{'nav_text_color'};
    $params->{'title_text_color'} = $PARAMS->{'title_text_color'};
    $params->{'leftnav_color'} = $PARAMS->{'leftnav1_color'};
    my $template_name = 'theme1_stylerules.tt2';
    my $output;

    my $template = Template->new({
        INCLUDE_PATH => 'Metadot/templates',
    }) || die $Template::ERROR, "\n";

    $template->process($template_name, $params, \$output)
        || die $template->error(), "\n";

    return $output;
    }
    else {
    # ooops, no info for this theme
    return "";
    }
}

1;
