#!/usr/bin/perl
#
###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
#
#
#
############################################################################
#$id$#

#
# This file should be included in all test files (.t)
#

package SmokeMetadot;
use strict;

use Metadot qw($USER %FORM $SESSION $HTTP_HEADER_SENT $PARAMS $DISPLAY $CGI %REQUEST_VARS);
use Metadot::UserFactory;
use MetadotConfig;
use Portal;
use Template;
use Utility;
use Metadot::PortalFactory;
use Metadot::RequestContext;
use Metadot::SystemApp::EventLog;

# causes Metadot to discover and register all Gizmo3000
use Metadot::Gizmo3000::ClassRegistry;

#################################################
# Create a Metadot portal instance
#################################################
my $Mdot = Portal->new(1);




use constant SMOKE_HOSTNAME     => MetadotConfig->get_param_value('smoke_hostname') || 'localhost';
use constant SMOKE_URI_SCHEMA   => MetadotConfig->get_param_value('smoke_uri_schema') || 'http';
use constant SMOKE_REQUEST_PATH => MetadotConfig->get_param_value('smoke_request_path') || '/metadot';
use constant SMOKE_SCRIPT_NAME  => MetadotConfig->get_param_value('smoke_script_name') || 'index.pl';


=item C<create_test_user>

Creates a test user via the Registration API. Currently, only
Metadot::Register::Register3000 can register users via API. Therefore, if the
site's registration type is not a subclass of Metadot::Register::Register3000,
then Metadot::Register::Register3000 will be used instead

  my $user = SmokeMetadot->create_test_user();
  $user->delete(1);

=cut



sub create_test_user {
    my $class = shift;

    my $default_register_class = 'Metadot::Register::Register3000';

    my $register_class  = MetadotConfig->get_registration_type();

    unless(UNIVERSAL::isa($register_class, $default_register_class)) {
        $register_class = $default_register_class;
    }

    require(Utility->package_to_filename($register_class));

    # I have a valid register object
    my $register = $register_class->new();


    # construct the user data
    my $email = 'ipfreeley@foo123test.com';

    # make sure that email is not already registered, keep inserting random numbers until
    # you get one
    while ($register->email_already_registered($email))
    {
        my $number = int(rand(10));
        $email =~ s/\@/$number@/;
    }

    my %input = (
        first_name  => 'I.',
        initial     => 'P.',
        last_name   => 'Freeley',
        nickname    => 'yellowdog',
        email       => $email,
        password    => '123456',
        password_confirm    => '123456',
    );

    my $result = $register->process_registration({input => \%input});
    my $user = $result->{user};

    return $user;
}






1;
