#!/usr/bin/perl -w

#
# Test file for Utility.pm
# $Id: Utility.001.t,v 1.1.2.2 2005/07/01 22:41:28 nico Exp $
#

use strict;
use Test::More tests => 10;

use SmokeMetadot;
use Utility;

################################################################################
# Test: Test valid emails
################################################################################
my @valid_emails = qw(
  cory@metadot.com
  d@100.100.100.100
  nico@my.mail.com
  123abc@mydomain.net
  foo@mail.fr
  joe.smith@my.name
);

foreach my $email (@valid_emails)
{
  ok(Utility->is_valid_email($email), "Tested $email as valid");
}

my @invalid_emails = (
  'cory@hotmail..com',
  'cory#hotmail.com',
  'postmaster',
  'somebody@somewhere',
);

foreach my $email (@invalid_emails)
{
  ok(!Utility->is_valid_email($email), "Tested $email as invalid");
}



#################################################
# That's it!!!!
#################################################
