#!/usr/bin/perl -w
#
###########################################################################
# <LICENSEINFO>
# Copyright (C) Daniel Guermeur - 1999-2001
# Copyright (C) Metadot Corporation - 2001-2005
#
# This file is part of Metadot Portal Server software $Name: Release_6_4_5_4 $
#
# Metadot Portal Server software is free software; you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# Metadot Portal Server software is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Metadot Portal Server; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, please contact info@metadot.com.
#</LICENSEINFO>
############################################################################
use strict;

use Metadot qw($USER %FORM $SESSION $HTTP_HEADER_SENT $DISPLAY $PARAMS);

use CGI qw(:standard :html3);
use CGI::Carp qw(fatalsToBrowser);
use Portal;
use MyPage;
use MyPageElement;
use NewsChannel;
use BasicTool;
use GizmoTool;
use Subscription;
use Metadot::UserFactory;

# Create a Metadot portal instance
my $Mdot = Portal->new(1);

## CHECK TO SEE IF SITE SUSPENDED - FOR SHAREM
my $suspended_mode = $PARAMS->{is_suspended} || MetadotConfig->get_site_is_suspended();
unless (defined($suspended_mode)) {
    $suspended_mode = $PARAMS->{is_suspended} = MetadotConfig->get_site_is_suspended();
}
if (($suspended_mode) eq 'true') {
    $Mdot->md_redirect('/suspended.html');
}

# if not idded then consider as stranger
$USER = Metadot::UserFactory->get_user( -1 ) if (!defined($USER->{uid}));

# if cancelation then redirect to cancelurl
if($FORM{cancel}) {
  $Mdot->md_redirect($FORM{cancelurl});
  exit(0);
}


my $isa = $FORM{isa} || "MyPage" ;
my $op  = $FORM{op} || "show";

if ($PARAMS->{hide_my_page} && $isa eq 'MyPage') {
    $Mdot->md_redirect("index.pl");
  exit(0);
}

my $object ;
if    ($isa eq "MyPage")        { $object = MyPage->new(); }
elsif ($isa eq "MyPageElement") { $object = MyPageElement->new($FORM{mpid},$USER->uid()); }
else                            { $object = $isa->new($FORM{id},$USER->uid()); }

#RESTRICTED-USER
my $restricted_home = 'restricted_user_home';
if ($USER->is_restricted()) {
    unless($object->is_allowed_to_do($op, $USER, 1)) {
    my $url = $DISPLAY->make_url("index.pl?isa=User&op=$restricted_home");
    Utility->md_redirect($url);
    }
}


if($object->is_allowed_to_do($op, $USER, 1)){

    $object->handle($op);

} else {

    $object->print_click_back("Error", "userchannel.pl:<br />Sorry, you are not allowed to do operation:<br /> - $op-<br />$0");
}
