CREATE TABLE "ANSWER" ("AID" NUMBER(11, 0) NOT NULL ENABLE, 
"USERID" NUMBER(11, 0), "QID" NUMBER(11, 0), "IID" NUMBER(11, 0), 
"ANSWER" VARCHAR2(4000)) PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 
255 LOGGING STORAGE(INITIAL 65536) ;

CREATE UNIQUE INDEX "PK_ANSWER" ON "ANSWER" ("AID" ) PCTFREE 10 
INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "ANSWER" ADD CONSTRAINT "PK_ANSWER" PRIMARY KEY 
("AID") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "CHANNEL" ("CID" NUMBER(11, 0) NOT NULL 
ENABLE, "ISA" VARCHAR2(255), "NAME" VARCHAR2(255), "DESCRIPTION" 
CLOB, "URL" VARCHAR2(255), "FETCHEVERY" NUMBER(11, 0), "IID" 
NUMBER(11, 0), "LASTFETCHED" DATE, "HTTPSTATUS" NUMBER(11, 0), 
"NBITEMS" NUMBER(11, 0), "VERSION" NUMBER(11, 0), "UPDATEDATE" DATE, 
"CREATIONDATE" DATE, "HOMEURL" VARCHAR2(255), "LASTPROCESSED" DATE, 
"HTML" CLOB, "CCID" NUMBER(11, 0), "LOCATION_ID" NUMBER(11, 0)) 
PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING STORAGE(INITIAL 
65536) LOB ("DESCRIPTION") STORE AS 
(ENABLE STORAGE IN ROW CHUNK 8192 PCTVERSION 
10 NOCACHE NOLOGGING STORAGE(INITIAL 65536)) LOB ("HTML") STORE AS 
(ENABLE STORAGE IN ROW CHUNK 8192 PCTVERSION 
10 NOCACHE NOLOGGING STORAGE(INITIAL 65536)) ;
CREATE UNIQUE INDEX "PK_CHANNEL" ON "CHANNEL" ("CID" ) PCTFREE 
10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "CHANNEL" ADD CONSTRAINT "PK_CHANNEL" PRIMARY 
KEY ("CID") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "CHANNELITEM" ("CIID" NUMBER(11, 0) NOT NULL 
ENABLE, "CID" NUMBER(11, 0), "NEWSVERSION" NUMBER(11, 0), 
"DESCRIPTION" CLOB, "URL" VARCHAR2(255), "CREATIONDATE" DATE, 
"URGENT" VARCHAR2(255), "NAME" VARCHAR2(255), "MID" NUMBER(11, 0)) 
PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING STORAGE(INITIAL 
65536) LOB ("DESCRIPTION") STORE AS 
(ENABLE STORAGE IN ROW CHUNK 8192 PCTVERSION 
10 NOCACHE NOLOGGING STORAGE(INITIAL 65536)) ;

CREATE UNIQUE INDEX "PK_CHANNELITEM" ON "CHANNELITEM" ("CIID" ) 
PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
CREATE INDEX "CHANNELITEM_CID" ON "CHANNELITEM" ("CID" ) PCTFREE 
10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
CREATE INDEX "CHANNELITEM_NEWSVERSION" ON "CHANNELITEM" 
("NEWSVERSION" ) PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "CHANNELITEM" ADD CONSTRAINT "PK_CHANNELITEM" 
PRIMARY KEY ("CIID") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "CHANNEL_CATEGORY" ("CCID" NUMBER(11, 0) NOT 
NULL ENABLE, "CC_NAME" VARCHAR2(255)) PCTFREE 10 PCTUSED 40 INITRANS 
1 MAXTRANS 255 LOGGING STORAGE(INITIAL 65536) ;

CREATE UNIQUE INDEX "PK_CHANNEL_CATEGORY" ON "CHANNEL_CATEGORY" 
("CCID" ) PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "CHANNEL_CATEGORY" ADD CONSTRAINT 
"PK_CHANNEL_CATEGORY" PRIMARY KEY ("CCID") USING INDEX PCTFREE 10 
INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
ENABLE ;
CREATE TABLE "EVENT_LOG" ("UNIQUE_ID" NUMBER(11, 0) NOT 
NULL ENABLE, "USERID_NAME" NUMBER(11, 0), "USER_NAME" VARCHAR2(255), 
"SUB_APPLICATION_NAME" VARCHAR2(255), "CLASS_NAME" VARCHAR2(255), 
"OPERATION_NAME" VARCHAR2(255), "INSTANCE_ID" VARCHAR2(255), 
"DATE_AND_TIME" VARCHAR2(255), "UNIX_TIME" VARCHAR2(255), "SLOT_1" 
VARCHAR2(255), "SLOT_2" VARCHAR2(255), "SLOT_3" VARCHAR2(255), 
"SLOT_4" VARCHAR2(255), "SLOT_5" VARCHAR2(255), "SLOT_6" 
VARCHAR2(255), "SLOT_7" VARCHAR2(255), "SLOT_8" VARCHAR2(255), 
"SLOT_9" VARCHAR2(255), "SLOT_10" VARCHAR2(255), "SLOT_11" 
VARCHAR2(255), "SLOT_12" VARCHAR2(255), "SLOT_13" VARCHAR2(255), 
"SLOT_14" VARCHAR2(255), "SLOT_15" VARCHAR2(255), "SLOT_16" 
VARCHAR2(255), "SLOT_17" VARCHAR2(255), "SLOT_18" VARCHAR2(255), 
"SLOT_19" VARCHAR2(255), "SLOT_20" VARCHAR2(255)) PCTFREE 10 PCTUSED 
40 INITRANS 1 MAXTRANS 255 LOGGING STORAGE(INITIAL 65536) 
;

CREATE UNIQUE INDEX "PK_EVENT_LOG" ON "EVENT_LOG" ("UNIQUE_ID" ) 
PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "EVENT_LOG" ADD CONSTRAINT "PK_EVENT_LOG" 
PRIMARY KEY ("UNIQUE_ID") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 
255 STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "EVENT_NOTIFICATIONS" ("EVENT_ID" NUMBER(11, 
0) NOT NULL ENABLE, "NOTIFICATION_DATE" NUMBER(11, 0), 
"NOTIFICATION_TYPE" CHAR(1) NOT NULL ENABLE, "STATUS" NUMBER(1, 0)) 
PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING STORAGE(INITIAL 
65536) ;

CREATE UNIQUE INDEX "PK_EVENT_NOTIFICATIONS" ON 
"EVENT_NOTIFICATIONS" ("EVENT_ID" , "NOTIFICATION_TYPE" ) PCTFREE 10 
INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "EVENT_NOTIFICATIONS" ADD CONSTRAINT 
"PK_EVENT_NOTIFICATIONS" PRIMARY KEY ("EVENT_ID", 
"NOTIFICATION_TYPE") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "EXTENDED_USER" ("USERID" NUMBER(11, 0) NOT 
NULL ENABLE, "F1" VARCHAR2(255), "F2" VARCHAR2(255), "F3" 
VARCHAR2(255), "F4" VARCHAR2(255), "F5" VARCHAR2(255), "F6" 
VARCHAR2(255), "F7" VARCHAR2(255), "F8" VARCHAR2(255), "F9" 
VARCHAR2(255), "F10" VARCHAR2(255), "F11" VARCHAR2(255), "F12" 
VARCHAR2(255), "F13" VARCHAR2(255), "F14" VARCHAR2(255), "F15" 
VARCHAR2(255), "F16" VARCHAR2(255), "F17" VARCHAR2(255), "F18" 
VARCHAR2(255), "F19" VARCHAR2(255), "F20" VARCHAR2(255), "T1" 
VARCHAR2(4000), "T2" VARCHAR2(4000), "T3" VARCHAR2(4000), "T4" 
VARCHAR2(4000), "T5" VARCHAR2(4000), "T6" VARCHAR2(4000), "T7" 
VARCHAR2(4000), "T8" VARCHAR2(4000), "T9" VARCHAR2(4000), "T10" 
VARCHAR2(4000)) PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING 
STORAGE(INITIAL 65536) ;

CREATE UNIQUE INDEX "PK_EXTENDED_USER" ON "EXTENDED_USER" 
("USERID" ) PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "EXTENDED_USER" ADD CONSTRAINT 
"PK_EXTENDED_USER" PRIMARY KEY ("USERID") USING INDEX PCTFREE 10 
INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
ENABLE ;
CREATE TABLE "GIZMOITEMPARAM" ("CIID" NUMBER(11, 0) NOT 
NULL ENABLE, "NAME" VARCHAR2(255) NOT NULL ENABLE, "VALUE"  
VARCHAR2(255)) PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING 
STORAGE(INITIAL 65536) ;

CREATE UNIQUE INDEX "PK_GIZMOITEMPARAM" ON "GIZMOITEMPARAM" 
("CIID" , "NAME" ) PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 
65536) LOGGING ;
ALTER TABLE "GIZMOITEMPARAM" ADD CONSTRAINT 
"PK_GIZMOITEMPARAM" PRIMARY KEY ("CIID", "NAME") USING INDEX PCTFREE 
10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
ENABLE ;
CREATE TABLE "GIZMOTOOLITEM" ("MPID" NUMBER(11, 0), "CIID" 
NUMBER(11, 0)) PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING 
STORAGE(INITIAL 65536) ;

CREATE INDEX "GIZMOTOOLITEM_MPID_CIID" ON "GIZMOTOOLITEM" 
("MPID" , "CIID" ) PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 
65536) LOGGING ;
CREATE TABLE "GRP" ("GRP_ID" NUMBER(11, 0) NOT NULL ENABLE, 
"USERID" NUMBER(11, 0), "GROUP_NAME" VARCHAR2(255), 
"GROUP_DESCRIPTION" VARCHAR2(255), "IID" NUMBER(11, 0)) PCTFREE 10 
PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING STORAGE(INITIAL 65536) 
;

CREATE UNIQUE INDEX "PK_GRP" ON "GRP" ("GRP_ID" ) PCTFREE 10 
INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "GRP" ADD CONSTRAINT "PK_GRP" PRIMARY KEY 
("GRP_ID") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "GRPMEMBERS" ("GRP_ID" NUMBER(11, 0) NOT NULL 
ENABLE, "USERID" NUMBER(11, 0) NOT NULL ENABLE, "SUBGRP_ID" 
NUMBER(11, 0) NOT NULL ENABLE, "IS_MANAGER" NUMBER(1, 0) NOT NULL 
ENABLE) PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING 
STORAGE(INITIAL 65536) ;
ALTER TABLE "GRPMEMBERS" MODIFY ("USERID" DEFAULT 0 ) ;
ALTER TABLE "GRPMEMBERS" MODIFY ("SUBGRP_ID" DEFAULT 0 ) ;
ALTER TABLE "GRPMEMBERS" MODIFY ("IS_MANAGER" DEFAULT 0 ) ;

CREATE UNIQUE INDEX "PK_GRPMEMBERS" ON "GRPMEMBERS" ("GRP_ID" , 
"USERID" , "SUBGRP_ID" ) PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) LOGGING ;
ALTER TABLE "GRPMEMBERS" ADD CONSTRAINT "PK_GRPMEMBERS" 
PRIMARY KEY ("GRP_ID", "USERID", "SUBGRP_ID") USING INDEX PCTFREE 10 
INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
ENABLE ;
CREATE TABLE "INSTANCE" ("IID" NUMBER(11, 0) NOT NULL 
ENABLE, "PARENTIID" NUMBER(11, 0), "USERID" NUMBER(11, 0), "ISA" 
VARCHAR2(255), "NAME" VARCHAR2(255), "DESCRIPTION" VARCHAR2(4000), 
"COOL" VARCHAR2(255), "SHOWCHILDS" VARCHAR2(255), "DISPLAYLOOK" 
VARCHAR2(255), "URL" VARCHAR2(222), "KEYWORDS" VARCHAR2(255), 
"INSTANCEORDER" NUMBER(11, 0), "SHOWFROM" DATE, "CREATIONDATE" DATE, 
"UPDATEDATE" DATE, "NBITEMS" NUMBER(11, 0), "NBREADS" NUMBER(11, 0), 
"UPDATEDBY" NUMBER(11, 0), "HIDDENCOMMENT" VARCHAR2(4000), "LASTPOST" 
DATE, "FILE1" VARCHAR2(255), "CREATEDBY" NUMBER(11, 0), 
"LONGDESCRIPTION" VARCHAR2(4000), "T1" VARCHAR2(4000), "T2" 
VARCHAR2(4000), "T3" VARCHAR2(4000), "T4" VARCHAR2(4000), "T5" 
VARCHAR2(4000), "T6" VARCHAR2(4000), "T7" VARCHAR2(4000), "T8" 
VARCHAR2(4000), "T9" VARCHAR2(4000), "T10" VARCHAR2(4000), "C1" 
VARCHAR2(255), "C2" VARCHAR2(255), "C3" VARCHAR2(255), "C4" 
VARCHAR2(255), "C5" VARCHAR2(255), "D1" DATE, "D2" DATE, "D3" DATE, 
"D4" DATE, "D5" DATE, "I1" NUMBER(11, 0), "I2" NUMBER(11, 0), "I3" 
NUMBER(11, 0), "I4" NUMBER(11, 0), "I5" NUMBER(11, 0), "FILE1_SIZE" 
NUMBER(11, 0), "LOCATION_ID" NUMBER(11, 0)) PCTFREE 10 PCTUSED 40 
INITRANS 1 MAXTRANS 255 LOGGING STORAGE(INITIAL 65536) 
;
ALTER TABLE "INSTANCE" MODIFY ("NBITEMS" DEFAULT 0) ;
ALTER TABLE "INSTANCE" MODIFY ("NBREADS" DEFAULT 0) ;

CREATE UNIQUE INDEX "PK_INSTANCE" ON "INSTANCE" ("IID" ) PCTFREE 
10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
CREATE INDEX "INSTANCE_PARENTIID" ON "INSTANCE" ("PARENTIID" ) 
PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
CREATE INDEX "INSTANCE_USERID" ON "INSTANCE" ("USERID" ) PCTFREE 
10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "INSTANCE" ADD CONSTRAINT "PK_INSTANCE" PRIMARY 
KEY ("IID") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "MESSAGE" ("MID" NUMBER(11, 0) NOT NULL 
ENABLE, "IID" NUMBER(11, 0), "PARENTMID" NUMBER(11, 0) NOT NULL 
ENABLE, "USERID" NUMBER(11, 0) NOT NULL ENABLE, "NAME" VARCHAR2(255) 
NOT NULL ENABLE, "DESCRIPTION" VARCHAR2(4000), "CREATIONDATE" DATE, 
"UPDATEDATE" DATE, "UPDATEDBY" VARCHAR2(60), "STATUS" VARCHAR2(255), 
"PRIORITY" VARCHAR2(255), "EMAIL" VARCHAR2(255), "AUTHORNAME" 
VARCHAR2(255), "AUTHOREMAIL" VARCHAR2(255)) PCTFREE 10 PCTUSED 40 
INITRANS 1 MAXTRANS 255 LOGGING STORAGE(INITIAL 65536) 
;

CREATE UNIQUE INDEX "PK_MESSAGE" ON "MESSAGE" ("MID" ) PCTFREE 
10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
CREATE INDEX "MESSAGE_USERID" ON "MESSAGE" ("USERID" ) PCTFREE 
10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "MESSAGE" ADD CONSTRAINT "PK_MESSAGE" PRIMARY 
KEY ("MID") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "MYPAGE" ("MPID" NUMBER(11, 0) NOT NULL 
ENABLE, "USERID" NUMBER(11, 0), "ID" NUMBER(11, 0), "ISA" 
VARCHAR2(255), "COL" NUMBER(11, 0), "MYPAGEORDER" NUMBER(11, 0), 
"CREATIONDATE" DATE, "UPDATEDATE" DATE) PCTFREE 10 PCTUSED 40 
INITRANS 1 MAXTRANS 255 LOGGING STORAGE(INITIAL 65536) 
;

CREATE UNIQUE INDEX "PK_MYPAGE" ON "MYPAGE" ("MPID" ) PCTFREE 10 
INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
CREATE INDEX "MYPAGE_ID" ON "MYPAGE" ("ID" ) PCTFREE 10 INITRANS 
2 MAXTRANS 255 STORAGE(INITIAL 65536) LOGGING ;
CREATE INDEX "MYPAGE_USERID" ON "MYPAGE" ("USERID" ) PCTFREE 10 
INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "MYPAGE" ADD CONSTRAINT "PK_MYPAGE" PRIMARY KEY 
("MPID") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "PARAMS" ("PARAMS_ID" NUMBER(11, 0) NOT NULL 
ENABLE, "NAME" VARCHAR2(255), "VALUE" CLOB, "PARENT_ID" NUMBER(11, 
0)) PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING 
STORAGE(INITIAL 65536) LOB ("VALUE") STORE AS 
(ENABLE STORAGE IN ROW CHUNK 8192 PCTVERSION 
10 NOCACHE NOLOGGING STORAGE(INITIAL 65536)) ;

CREATE UNIQUE INDEX "PK_PARAMS" ON "PARAMS" ("PARAMS_ID" ) 
PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "PARAMS" ADD CONSTRAINT "PK_PARAMS" PRIMARY KEY 
("PARAMS_ID") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "PARTICIPANTS" ("IID" NUMBER(11, 0), "QID" 
NUMBER(11, 0), "USERID" NUMBER(11, 0)) PCTFREE 10 PCTUSED 40 INITRANS 
1 MAXTRANS 255 LOGGING STORAGE(INITIAL 65536) ;

CREATE TABLE "PERMISSIONS" ("ID" NUMBER(11, 0) NOT NULL 
ENABLE, "ISA" VARCHAR2(255) NOT NULL ENABLE, "PERMISSIONS" BLOB) 
PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING STORAGE(INITIAL 
65536) LOB ("PERMISSIONS") STORE AS 
(ENABLE STORAGE IN ROW CHUNK 8192 PCTVERSION 
10 NOCACHE NOLOGGING STORAGE(INITIAL 65536)) ;

CREATE UNIQUE INDEX "PK_PERMISSIONS" ON "PERMISSIONS" ("ID" , 
"ISA" ) PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "PERMISSIONS" ADD CONSTRAINT "PK_PERMISSIONS" 
PRIMARY KEY ("ID", "ISA") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 
255 STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "POLL_RESPONSE" ("POLL_RESPONSE_ID" NUMBER(11, 
0) NOT NULL ENABLE, "RESPONSE" VARCHAR2(255), "PARENT_IID" NUMBER(11, 
0)) PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING 
STORAGE(INITIAL 65536) ;

CREATE UNIQUE INDEX "PK_POLL_RESPONSE" ON "POLL_RESPONSE" 
("POLL_RESPONSE_ID" ) PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 
65536) LOGGING ;
ALTER TABLE "POLL_RESPONSE" ADD CONSTRAINT 
"PK_POLL_RESPONSE" PRIMARY KEY ("POLL_RESPONSE_ID") USING INDEX 
PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
ENABLE ;
CREATE TABLE "POLL_VOTE" ("POLL_VOTE_ID" NUMBER(11, 0) NOT 
NULL ENABLE, "POLL_RESPONSE_ID" NUMBER(11, 0) NOT NULL ENABLE, 
"USERID" NUMBER(11, 0) NOT NULL ENABLE, "CREATION_DATE" DATE) PCTFREE 
10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING STORAGE(INITIAL 65536) 
;
ALTER TABLE "POLL_VOTE" MODIFY ("POLL_RESPONSE_ID" DEFAULT 
0 ) ;

CREATE UNIQUE INDEX "PK_POLL_VOTE" ON "POLL_VOTE" 
("POLL_VOTE_ID" ) PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 
65536) LOGGING ;
ALTER TABLE "POLL_VOTE" ADD CONSTRAINT "PK_POLL_VOTE" 
PRIMARY KEY ("POLL_VOTE_ID") USING INDEX PCTFREE 10 INITRANS 2 
MAXTRANS 255 STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "QUESTIONS" ("QID" NUMBER(11, 0) NOT NULL 
ENABLE, "IID" NUMBER(11, 0), "NAME" VARCHAR2(255), "DESCRIPTION" 
VARCHAR2(4000), "CREATIONDATE" DATE, "QUESTIONTYPE" VARCHAR2(255), 
"INSTANCEORDER" NUMBER(11, 0), "UPDATEDATE" DATE) PCTFREE 10 PCTUSED 
40 INITRANS 1 MAXTRANS 255 LOGGING STORAGE(INITIAL 65536) 
;

CREATE UNIQUE INDEX "PK_QUESTIONS" ON "QUESTIONS" ("QID" ) 
PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "QUESTIONS" ADD CONSTRAINT "PK_QUESTIONS" 
PRIMARY KEY ("QID") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "RATES" ("RATER_UID" NUMBER(11, 0) NOT NULL 
ENABLE, "RATED_CLASS" VARCHAR2(255) NOT NULL ENABLE, "RATED_ID" 
NUMBER(11, 0) NOT NULL ENABLE, "RATE" NUMBER(11, 0), "COMMENTS" 
VARCHAR2(4000)) PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING 
STORAGE(INITIAL 65536) ;
ALTER TABLE "RATES" MODIFY ("RATE" DEFAULT 0) ;

CREATE UNIQUE INDEX "PK_RATES" ON "RATES" ("RATER_UID" , 
"RATED_CLASS" , "RATED_ID" ) PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) LOGGING ;
ALTER TABLE "RATES" ADD CONSTRAINT "PK_RATES" PRIMARY KEY 
("RATER_UID", "RATED_CLASS", "RATED_ID") USING INDEX PCTFREE 10 
INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
ENABLE ;
CREATE TABLE "SESSIONS" ("SESSIONID" VARCHAR2(255) NOT NULL 
ENABLE, "LASTONLINE" NUMBER(11, 0), "USERID" NUMBER(11, 0) NOT NULL 
ENABLE, "SESSIONINFO" CLOB) PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 
255 LOGGING STORAGE(INITIAL 65536) LOB 
("SESSIONINFO") STORE AS (ENABLE STORAGE IN 
ROW CHUNK 8192 PCTVERSION 10 NOCACHE NOLOGGING STORAGE(INITIAL 
65536)) ;
ALTER TABLE "SESSIONS" MODIFY ("USERID" DEFAULT 0 ) ;

CREATE UNIQUE INDEX "PK_SESSIONS" ON "SESSIONS" ("SESSIONID" ) 
PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
CREATE INDEX "SESSIONS_USERID" ON "SESSIONS" ("USERID" ) PCTFREE 
10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "SESSIONS" ADD CONSTRAINT "PK_SESSIONS" PRIMARY 
KEY ("SESSIONID") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "SUBSCRIPTION" ("SID" NUMBER(11, 0) NOT NULL 
ENABLE, "USERID" NUMBER(11, 0) NOT NULL ENABLE, "CID" NUMBER(11, 0) 
NOT NULL ENABLE, "MEDIUM" VARCHAR2(255) NOT NULL ENABLE, 
"CREATIONDATE" DATE, "PROCESSDATE" DATE NOT NULL ENABLE, "FREQUENCY" 
VARCHAR2(255)) PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING 
STORAGE(INITIAL 65536) ;

CREATE UNIQUE INDEX "PK_SUBSCRIPTION" ON "SUBSCRIPTION" ("SID" ) 
PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
CREATE INDEX "SUBSCRIPTION_MEDIUM" ON "SUBSCRIPTION" ("MEDIUM" ) 
PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
CREATE INDEX "SUBSCRIPTION_PROCESSDATE" ON "SUBSCRIPTION" 
("PROCESSDATE" ) PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
CREATE INDEX "SUBSCRIPTION_USERID" ON "SUBSCRIPTION" ("USERID" ) 
PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "SUBSCRIPTION" ADD CONSTRAINT "PK_SUBSCRIPTION" 
PRIMARY KEY ("SID") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "TEMPLATE" ("ISA" VARCHAR2(255) NOT NULL 
ENABLE, "OP" VARCHAR2(255) NOT NULL ENABLE, "IID" VARCHAR2(12) NOT 
NULL ENABLE, "TEMPLATE" CLOB) PCTFREE 10 PCTUSED 40 INITRANS 1 
MAXTRANS 255 LOGGING STORAGE(INITIAL 65536) 
LOB ("TEMPLATE") STORE AS (ENABLE STORAGE IN 
ROW CHUNK 8192 PCTVERSION 10 NOCACHE NOLOGGING STORAGE(INITIAL 
65536)) ;

CREATE UNIQUE INDEX "PK_TEMPLATE" ON "TEMPLATE" ("ISA" , "OP" , 
"IID" ) PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "TEMPLATE" ADD CONSTRAINT "PK_TEMPLATE" PRIMARY 
KEY ("ISA", "OP", "IID") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 
255 STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "THEME" ("THEME" VARCHAR2(255) NOT NULL 
ENABLE, "PNAME" VARCHAR2(255) NOT NULL ENABLE, "PVALUE" CLOB) PCTFREE 
10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING STORAGE(INITIAL 65536) 
LOB ("PVALUE") STORE AS (
ENABLE STORAGE IN ROW CHUNK 8192 PCTVERSION 10 NOCACHE 
NOLOGGING STORAGE(INITIAL 65536)) ;

CREATE UNIQUE INDEX "PK_THEME" ON "THEME" ("THEME" , "PNAME" ) 
PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "THEME" ADD CONSTRAINT "PK_THEME" PRIMARY KEY 
("THEME", "PNAME") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "TIMESTAMPS" ("TIMESTAMP_ID" NUMBER(11, 0) NOT 
NULL ENABLE, "NAME" VARCHAR2(255), "VALUE" VARCHAR2(255)) PCTFREE 10 
PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING STORAGE(INITIAL 65536) 
;

CREATE UNIQUE INDEX "PK_TIMESTAMPS" ON "TIMESTAMPS" 
("TIMESTAMP_ID" ) PCTFREE 10 INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 
65536) LOGGING ;
ALTER TABLE "TIMESTAMPS" ADD CONSTRAINT "PK_TIMESTAMPS" 
PRIMARY KEY ("TIMESTAMP_ID") USING INDEX PCTFREE 10 INITRANS 2 
MAXTRANS 255 STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "UPLOADS" ("USERID" NUMBER(11, 0), "ISA" 
VARCHAR2(255) NOT NULL ENABLE, "ID" VARCHAR2(255) NOT NULL ENABLE, 
"FIELD_NAME" VARCHAR2(255) NOT NULL ENABLE, "TYPE" VARCHAR2(255), 
"STORED_AT" VARCHAR2(255), "FILE_NAME" VARCHAR2(255), "FILE_SIZE" 
NUMBER(11, 0), "FIELD_INDEX" NUMBER(11, 0) NOT NULL ENABLE) PCTFREE 
10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING STORAGE(INITIAL 65536) 
;
ALTER TABLE "UPLOADS" MODIFY ("FIELD_INDEX" DEFAULT 0 ) ;

CREATE UNIQUE INDEX "PK_UPLOADS" ON "UPLOADS" ("ISA" , "ID" , 
"FIELD_NAME" , "FIELD_INDEX" ) PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) LOGGING ;
ALTER TABLE "UPLOADS" ADD CONSTRAINT "PK_UPLOADS" PRIMARY 
KEY ("ISA", "ID", "FIELD_NAME", "FIELD_INDEX") USING INDEX PCTFREE 10 
INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
ENABLE ;
CREATE TABLE "USERS" ("USERID" NUMBER(11, 0) NOT NULL 
ENABLE, "NICKNAME" VARCHAR2(255), "FULLNAME" VARCHAR2(255) NOT NULL 
ENABLE, "EMAIL" VARCHAR2(255) NOT NULL ENABLE, "HOMEPAGE" 
VARCHAR2(255), "QUOTE" VARCHAR2(255), "APPROVALNEEDED" VARCHAR2(255), 
"PASSWORD" VARCHAR2(255), "UPDATEDATE" DATE, "CREATIONDATE" DATE, 
"PAGER" VARCHAR2(255), "ICQNUMBER" VARCHAR2(255), "ICQURGENT" 
VARCHAR2(255), "LINKNAME1" VARCHAR2(255), "LINKNAME2" VARCHAR2(255), 
"LINKNAME3" VARCHAR2(255), "LINKNAME4" VARCHAR2(255), "LINKNAME5" 
VARCHAR2(255), "LINKNAME6" VARCHAR2(255), "LINKNAME7" VARCHAR2(255), 
"LINKNAME8" VARCHAR2(255), "LINKNAME9" VARCHAR2(255), "LINKNAME10" 
VARCHAR2(255), "LINKNAME11" VARCHAR2(255), "LINKNAME12" 
VARCHAR2(255), "LINKNAME13" VARCHAR2(255), "LINKNAME14" 
VARCHAR2(255), "LINKNAME15" VARCHAR2(255), "LINKURL1" VARCHAR2(255), 
"LINKURL2" VARCHAR2(255), "LINKURL3" VARCHAR2(255), "LINKURL4" 
VARCHAR2(255), "LINKURL5" VARCHAR2(255), "LINKURL6" VARCHAR2(255), 
"LINKURL7" VARCHAR2(255), "LINKURL8" VARCHAR2(255), "LINKURL9" 
VARCHAR2(255), "LINKURL10" VARCHAR2(255), "LINKURL11" VARCHAR2(255), 
"LINKURL12" VARCHAR2(255), "LINKURL13" VARCHAR2(255), "LINKURL14" 
VARCHAR2(255), "LINKURL15" VARCHAR2(255), "LASTONLINE" NUMBER(11, 0), 
"IP" VARCHAR2(255), "ADMINLEVEL" NUMBER(11, 0), "DEBUGLEVEL" 
NUMBER(11, 0), "ADMINMODE" NUMBER(11, 0), "LDAPDN" VARCHAR2(255), 
"MAX_TOTAL_UPLOAD_SIZE" NUMBER(11, 0), "MAX_TOTAL_NUMBEROF_UPLOAD" 
NUMBER(11, 0)) PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 LOGGING 
STORAGE(INITIAL 65536) ;
ALTER TABLE "USERS" MODIFY ("MAX_TOTAL_UPLOAD_SIZE" DEFAULT 
-1) ;
ALTER TABLE "USERS" MODIFY ("MAX_TOTAL_NUMBEROF_UPLOAD" 
DEFAULT -1) ;

CREATE UNIQUE INDEX "PK_USERS" ON "USERS" ("USERID" ) PCTFREE 10 
INITRANS 2 MAXTRANS 255 STORAGE(INITIAL 65536) 
LOGGING ;
ALTER TABLE "USERS" ADD CONSTRAINT "PK_USERS" PRIMARY KEY 
("USERID") USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
STORAGE(INITIAL 65536) ENABLE ;
CREATE TABLE "VSERV_MODULES" ("SECTION_NAME" VARCHAR2(255), 
"MODULES" VARCHAR2(4000)) PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 
255 LOGGING STORAGE(INITIAL 65536) ;

ALTER TABLE "ANSWER" ENABLE CONSTRAINT "PK_ANSWER" ;
ALTER TABLE "CHANNEL" ENABLE CONSTRAINT "PK_CHANNEL" ;
ALTER TABLE "CHANNELITEM" ENABLE CONSTRAINT 
"PK_CHANNELITEM" ;
ALTER TABLE "CHANNEL_CATEGORY" ENABLE CONSTRAINT 
"PK_CHANNEL_CATEGORY" ;
ALTER TABLE "EVENT_LOG" ENABLE CONSTRAINT "PK_EVENT_LOG" ;
ALTER TABLE "EVENT_NOTIFICATIONS" ENABLE CONSTRAINT 
"PK_EVENT_NOTIFICATIONS" ;
ALTER TABLE "EXTENDED_USER" ENABLE CONSTRAINT 
"PK_EXTENDED_USER" ;
ALTER TABLE "GIZMOITEMPARAM" ENABLE CONSTRAINT 
"PK_GIZMOITEMPARAM" ;
ALTER TABLE "GRP" ENABLE CONSTRAINT "PK_GRP" ;
ALTER TABLE "GRPMEMBERS" ENABLE CONSTRAINT "PK_GRPMEMBERS" ;
ALTER TABLE "INSTANCE" ENABLE CONSTRAINT "PK_INSTANCE" ;
ALTER TABLE "MESSAGE" ENABLE CONSTRAINT "PK_MESSAGE" ;
ALTER TABLE "MYPAGE" ENABLE CONSTRAINT "PK_MYPAGE" ;
ALTER TABLE "PARAMS" ENABLE CONSTRAINT "PK_PARAMS" ;
ALTER TABLE "PERMISSIONS" ENABLE CONSTRAINT 
"PK_PERMISSIONS" ;
ALTER TABLE "POLL_RESPONSE" ENABLE CONSTRAINT 
"PK_POLL_RESPONSE" ;
ALTER TABLE "POLL_VOTE" ENABLE CONSTRAINT "PK_POLL_VOTE" ;
ALTER TABLE "QUESTIONS" ENABLE CONSTRAINT "PK_QUESTIONS" ;
ALTER TABLE "RATES" ENABLE CONSTRAINT "PK_RATES" ;
ALTER TABLE "SESSIONS" ENABLE CONSTRAINT "PK_SESSIONS" ;
ALTER TABLE "SUBSCRIPTION" ENABLE CONSTRAINT 
"PK_SUBSCRIPTION" ;
ALTER TABLE "TEMPLATE" ENABLE CONSTRAINT "PK_TEMPLATE" ;
ALTER TABLE "THEME" ENABLE CONSTRAINT "PK_THEME" ;
ALTER TABLE "TIMESTAMPS" ENABLE CONSTRAINT "PK_TIMESTAMPS" ;
ALTER TABLE "UPLOADS" ENABLE CONSTRAINT "PK_UPLOADS" ;
ALTER TABLE "USERS" ENABLE CONSTRAINT "PK_USERS" ;
